<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Welcome extends CI_Controller {

	/**
	 * Index Page for this controller.
	 *
	 * Maps to the following URL
	 * 		http://example.com/index.php/welcome
	 *	- or -
	 * 		http://example.com/index.php/welcome/index
	 *	- or -
	 * Since this controller is set as the default controller in
	 * config/routes.php, it's displayed at http://example.com/
	 *
	 * So any other public methods not prefixed with an underscore will
	 * map to /index.php/welcome/<method_name>
	 * @see https://codeigniter.com/user_guide/general/urls.html
	 */
	 
	public function __construct() {
		
		parent::__construct();
		$this->load->library(array('session','form_validation'));
		$this->load->helper(array('url','form'));
		$this->load->library('email');
		$this->load->library('encryption');
		$this->load->library('session');
		$this->load->model('user_model');
		$this->load->database();
		$this->load->dbforge();
		
		// create the data object
		$data = new stdClass();
		$passarr = new stdClass();
		$data->show=1;
		
	}

	public function index()
	{
		// create the data object
		$data = new stdClass();
		$data->show=1;

		if($this->session->userdata('email')!=''){
			if($_SESSION['type_code'] == 1){

				$memberbday = "SELECT user_id,fname, lname,dob from member WHERE MOD(DAYOFYEAR(dob)-DAYOFYEAR(CURRENT_DATE())+366,366) BETWEEN 0 AND 30";
				$member_birthdays = $this->db->query($memberbday);
				$data->member_birthdays=$member_birthdays;
				
				$playerbday = "SELECT user_id,fname, lname,dob,profile_photo from player WHERE MOD(DAYOFYEAR(dob)-DAYOFYEAR(CURRENT_DATE())+366,366) BETWEEN 0 AND 30";
				$player_birthdays = $this->db->query($playerbday);
				$data->player_birthdays=$player_birthdays;

				$user    = $this->user_model->get_user($_SESSION['user_id']);
				$club_count    = $this->user_model->get_club_count();
				$team_count    = $this->user_model->get_team_count();
				$player_count    = $this->user_model->get_player_count();
				$member_count    = $this->user_model->get_member_count();
				
				$data->user=$user;
				$data->club_count=$club_count;
				$data->team_count=$team_count;
				$data->player_count=$player_count;
				$data->member_count=$member_count;
				$data->viewpage='dashboard';
				
				$this->load->view('admin/sidebar'); 
				$this->load->view('admin/header',$data); 
				$this->load->view('admin/dashboard',$data); 
				$this->load->view('admin/footer');
			}elseif($_SESSION['type_code'] == 4){

				$user    = $this->user_model->get_user($_SESSION['user_id']);
				$data->user=$user;
				$data->viewpage='dashboard';
				$this->load->view('team/sidebar'); 
				$this->load->view('team/header',$data); 
				$this->load->view('team/dashboard',$data); 
				$this->load->view('team/footer');
			}
		}else{  
			//login page
			redirect('welcome/login');
			return;
		}
	}
	
	public function login()	{
		// create the data object
		$data = new stdClass();
		$data->show=0;
		
		// set validation rules
		$this->form_validation->set_rules('email', 'Username', 'trim|required');
		$this->form_validation->set_rules('password', 'Password', 'required');
		
		if($this->form_validation->run() == false){
			
			// validation not ok, send validation errors to the view
			$this->load->view('login', $data);
			
		}else{
			// set variables from the form
			$email = $this->input->post('email');
			$password = $this->input->post('password');
			
			if($this->user_model->resolve_user_login($email, $password)){ 
			
				//$user_id = $this->user_model->get_user_id_from_email($email);
				$user_id = $this->user_model->get_user_id_from_username($email);
				$user    = $this->user_model->get_user($user_id);
				$data->user=$user;
				
				// set session user datas
				$session_data=array(
				'user_id' => (int)$user->id,
				'email' => (string)$user->email,
				'logged_in' => (bool)true,				
				'type_code' => $user->type_code			
				);
				$this->session->set_userdata($session_data);
				
				$data->user=$user;
				//$check = $_SESSION['type_code'];
				$check = $this->session->userdata('type_code');
				$data->show=1;
				// user login ok
				redirect('/');
			}else{
				// login failed
				// Removing session data
				$this->session->unset_userdata($session_data);		
				$data->error = 'Wrong Email ID or Password.';
				// send error to the view
				//redirect('welcome/login');
				$this->load->view('login', $data);
			}	
		}	
	}
	
	public function view_club($sort_by = 'regno', $sort_order = 'asc', $offset = 0) {
		if($this->session->userdata('email')!=''){
			
			if(isset($_POST['clear_filter'])){
				unset($_SESSION['search']);
				$search = "";
			}
			
			if(isset($_POST['limit'])){
				$_SESSION['limit'] = $this->input->post('limit');
				$limit = $_SESSION['limit'];
			}elseif(isset($_SESSION['limit'])){
				$limit = $_SESSION['limit'];
			}else {
				$limit = 100;
			}
			if(isset($_POST['search']) || isset($_SESSION['search'])){
				$_SESSION['search'] = $this->input->post('search');
				$search = $_SESSION['search'];
			} else {
				$search = "";
			}
			
			$data['fields'] = array(
				'regno' => 'Reg. No.',
				'name' => 'Name'
			);
			$results = $this->user_model->view_club($search, $limit, $offset, $sort_by, $sort_order);
			
			$data['found'] = $results['rows'];
			$data['num_results'] = $results['num_rows'];
			
			// pagination
			$this->load->library('pagination');
			$config = array();
			$config['base_url'] = site_url("welcome/view_club/$sort_by/$sort_order");
			$config['total_rows'] = $data['num_results'];
			$config['per_page'] = $limit;
			$config['uri_segment'] = 5;
			$this->pagination->initialize($config);
			$data['pagination'] = $this->pagination->create_links();
			
			$data['sort_by'] = $sort_by;
			$data['sort_order'] = $sort_order;
			$user    = $this->user_model->get_user($_SESSION['user_id']);
			$data['user']=$user;
			if($_SESSION['type_code'] == 2){
				$this->load->view('admin2/sidebar'); 
				$this->load->view('admin2/header',$data);
			}elseif($_SESSION['type_code'] == 3){
				$this->load->view('editor1/sidebar'); 
				$this->load->view('editor1/header',$data);
			}else{
				$this->load->view('admin/sidebar'); 
				$this->load->view('admin/header',$data);
			}	
			$this->load->view('admin/view_club',$data); 
			$this->load->view('admin/footer');
		}else{
			//login page
			redirect('welcome/login');
			return;
		}
	}

	public function view_club_website($sort_by = 'regno', $sort_order = 'asc', $offset = 0) {
			
			if(isset($_POST['clear_filter'])){
				unset($_SESSION['search']);
				$search = "";
			}
			
			if(isset($_POST['limit'])){
				$_SESSION['limit'] = $this->input->post('limit');
				$limit = $_SESSION['limit'];
			}elseif(isset($_SESSION['limit'])){
				$limit = $_SESSION['limit'];
			}else {
				$limit = 100;
			}
			if(isset($_POST['search']) || isset($_SESSION['search'])){
				$_SESSION['search'] = $this->input->post('search');
				$search = $_SESSION['search'];
			} else {
				$search = "";
			}
			
			$data['fields'] = array(
				'regno' => 'Reg. No.',
				'name' => 'Name'
			);
			$results = $this->user_model->view_club($search, $limit, $offset, $sort_by, $sort_order);
			
			$data['found'] = $results['rows'];
			$data['num_results'] = $results['num_rows'];
			
			// pagination
			$this->load->library('pagination');
			$config = array();
			$config['base_url'] = site_url("welcome/view_club_website/$sort_by/$sort_order");
			$config['total_rows'] = $data['num_results'];
			$config['per_page'] = $limit;
			$config['uri_segment'] = 5;
			$this->pagination->initialize($config);
			$data['pagination'] = $this->pagination->create_links();
			
			$data['sort_by'] = $sort_by;
			$data['sort_order'] = $sort_order;
			$user    = $this->user_model->get_user($_SESSION['user_id']);
			$data['user']=$user;
			$this->load->view('website/view_club_website',$data); 
	}

	public function add_club() {
		if($this->session->userdata('email')!=''){
			$data = new stdClass();

			$user    = $this->user_model->get_user($_SESSION['user_id']);
			$data->user=$user;
			if($_SESSION['type_code']==1){
				$this->load->view('admin/sidebar'); 
				$this->load->view('admin/header',$data); 
			}else{
				$this->load->view('admin/sidebar'); 
				$this->load->view('admin/header',$data); 
			}
			$this->load->view('admin/add_club',$data); 
			$this->load->view('admin/footer');
		}else{
			//login page
			redirect('welcome/login');
			return;
		}
	}
	
	public function create_club() {
		if($this->session->userdata('email')!=''){
			// create the data object
			$data = new stdClass();
			$passarr = new stdClass();
			$passarr1 = new stdClass();
			$passarr2 = new stdClass();
			$data->show=0;

			// set validation rules
			$this->form_validation->set_rules('name', 'Name', 'trim|required');
			$this->form_validation->set_rules('email', 'Email', 'trim|required|valid_email');
			$this->form_validation->set_rules('mobile', 'Mobile', 'required|regex_match[/^[0-9]+$/]|min_length[10]');
			$this->form_validation->set_rules('regno', 'Registration No.', 'trim|required|is_unique[users.username]');
			
			if($this->form_validation->run() == false){
				
			// validation not ok, send validation errors to the view
			$user    = $this->user_model->get_user($_SESSION['user_id']);
			$data->user=$user;
			if($_SESSION['type_code']==2){
				$this->load->view('admin/sidebar'); 
				$this->load->view('admin/header',$data); 
			}else{
				$this->load->view('admin/sidebar'); 
				$this->load->view('admin/header',$data); 
			}
			$this->load->view('admin/add_club'); 
			$this->load->view('admin/footer'); 
				
			}else{
			
				$passarr->type_code = 2;
				$passarr->regno = $this->input->post('regno');
				$passarr->first_name = $this->input->post('name');
				$passarr->email = $this->input->post('email');
				$passarr->mobile = $this->input->post('mobile');
				$passarr->username = $this->input->post('regno');
				$password = $this->input->post('password');
				$hpassword = $this->user_model->hash_pass($password);					
				$passarr->password = $hpassword;
				
				$this->db->insert('users',$passarr);
				$userid = $this->db->insert_id();
			
				$passarr1->user_id = $userid;
				$passarr1->regno = $this->input->post('regno');
				$passarr1->name = $this->input->post('name');
				$passarr1->dor = $this->input->post('dor');
				$passarr1->address = $this->input->post('address');
				$passarr1->city = $this->input->post('city');
				$passarr1->state = $this->input->post('state');
				$passarr1->pincode = $this->input->post('pincode');
				$passarr1->email = $this->input->post('email');
				$passarr1->mobile = $this->input->post('mobile');
				$passarr1->president = $this->input->post('president');
				$passarr1->secretary = $this->input->post('secretary');
				$passarr1->treasurer = $this->input->post('treasurer');
				$passarr1->status = 1;
				$this->db->insert('club',$passarr1);

				$data = new stdClass();

				$user    = $this->user_model->get_user($_SESSION['user_id']);
				$data->user=$user;
				$data->success = 'Club created successfully!';
				if($_SESSION['type_code']==2){
					$this->load->view('admin/sidebar'); 
					$this->load->view('admin/header',$data); 
				}else{
					$this->load->view('admin/sidebar'); 
					$this->load->view('admin/header',$data); 
				}
				$this->load->view('admin/add_club',$data); 
				$this->load->view('admin/footer'); 
			}
		}else{
			//login page
			redirect('welcome/login');
			return;
		}
	}

	public function club_detail($id) {
		if($this->session->userdata('email')!=''){
			// create the data object
			$data = new stdClass();
			$passarr = new stdClass();
			$passarr1 = new stdClass();
			$passarr2 = new stdClass();
			$data->show=0;
			
			$club    = $this->user_model->get_club_by_id($id);
			$clubteams    = $this->user_model->get_clubteams($club->cid);
			$data->club=$club;
			$data->clubteams=$clubteams;
			$user    = $this->user_model->get_user($_SESSION['user_id']);
			$data->user=$user;
			if($_SESSION['type_code']==4){
				$this->load->view('team/sidebar'); 
				$this->load->view('team/header',$data); 
			}else{
				$this->load->view('admin/sidebar'); 
				$this->load->view('admin/header',$data); 
			}
			$this->load->view('admin/club_detail',$data); 
			$this->load->view('admin/footer');
		}else{
			//login page
			redirect('welcome/login');
			return;
		}
	}
	
	public function club_detail_website($id) {
			// create the data object
			$data = new stdClass();
			$passarr = new stdClass();
			$passarr1 = new stdClass();
			$passarr2 = new stdClass();
			$data->show=0;
			
			$club    = $this->user_model->get_club_by_id($id);
			$clubteams    = $this->user_model->get_clubteams($club->cid);
			$data->club=$club;
			$data->clubteams=$clubteams;
			$user    = $this->user_model->get_user($_SESSION['user_id']);
			$data->user=$user;
			$this->load->view('website/club_detail_website',$data); 
	}
	
	public function edit_club($id) {
		if($this->session->userdata('email')!=''){
			// create the data object
			$data = new stdClass();
			$passarr = new stdClass();
			$passarr1 = new stdClass();
			$data->show=0;
			
			$club    = $this->user_model->get_club_by_id($id);
			$data->club=$club;
			
			// set validation rules
			$this->form_validation->set_rules('name', 'Name', 'trim|required');
			$this->form_validation->set_rules('email', 'Email', 'trim|required|valid_email');
			$this->form_validation->set_rules('mobile', 'Mobile', 'required|regex_match[/^[0-9]+$/]|min_length[10]');
			
			if($this->form_validation->run() == false){
			// validation not ok, send validation errors to the view
			}
			else{
			
				//edit club login details
				if(isset($_POST['check'])){
					// set variables from the form
					$password = $this->input->post('password');
					$hpassword = $this->user_model->hash_pass($password);					
					$passarr->password = $hpassword;
				}

				$passarr->regno = $this->input->post('regno');
				$passarr->first_name = $this->input->post('name');
				$passarr->email = $this->input->post('email');
				$passarr->mobile = $this->input->post('mobile');
				$this->user_model->update_user($id,$passarr);

				$passarr1->regno = $this->input->post('regno');
				$passarr1->name = $this->input->post('name');
				$passarr1->dor = $this->input->post('dor');
				$passarr1->address = $this->input->post('address');
				$passarr1->city = $this->input->post('city');
				$passarr1->state = $this->input->post('state');
				$passarr1->pincode = $this->input->post('pincode');
				$passarr1->email = $this->input->post('email');
				$passarr1->mobile = $this->input->post('mobile');
				$passarr1->president = $this->input->post('president');
				$passarr1->secretary = $this->input->post('secretary');
				$passarr1->treasurer = $this->input->post('treasurer');
				$passarr1->status = 1;
				$this->user_model->update_club($id,$passarr1);
				
				$data->success = 'Club updated successfully!';
				$club    = $this->user_model->get_club_by_id($id);
				$data->club=$club;
			}
			
			$user    = $this->user_model->get_user($_SESSION['user_id']);
			$data->user=$user;
			
			if($_SESSION['type_code']==2){
				$this->load->view('admin/sidebar'); 
				$this->load->view('admin/header',$data); 
			}else{
				$this->load->view('admin/sidebar'); 
				$this->load->view('admin/header',$data); 
			}
			$this->load->view('admin/edit_club',$data); 
			$this->load->view('admin/footer');
		}else{
			//login page
			redirect('welcome/login');
			return;
		}
	}
	
	public function delete_club($id) {
		if($this->session->userdata('email')!=''){
			// create the data object
			$data = new stdClass();
			$passarr = new stdClass();
			$data->show=0;
			
			$passarr->is_delete = 1;
			$this->user_model->update_user($id,$passarr);
			$this->user_model->update_club($id,$passarr);
			redirect('welcome/view_club');
		}else{
			//login page
			redirect('welcome/login');
			return;
		}
	
	}
	
	public function view_team($sort_by = 'regno', $sort_order = 'asc', $offset = 0) {
		if($this->session->userdata('email')!=''){
			
			if(isset($_POST['clear_filter'])){
				unset($_SESSION['search']);
				$search = "";
			}
			
			if(isset($_POST['limit'])){
				$_SESSION['limit'] = $this->input->post('limit');
				$limit = $_SESSION['limit'];
			}elseif(isset($_SESSION['limit'])){
				$limit = $_SESSION['limit'];
			}else {
				$limit = 100;
			}
			if(isset($_POST['search']) || isset($_SESSION['search'])){
				$_SESSION['search'] = $this->input->post('search');
				$search = $_SESSION['search'];
			} else {
				$search = "";
			}
			
			$data['fields'] = array(
				'regno' => 'Reg. No.',
				'name' => 'Name'
			);
			$results = $this->user_model->view_team($search, $limit, $offset, $sort_by, $sort_order);
			
			$data['found'] = $results['rows'];
			$data['num_results'] = $results['num_rows'];
			
			// pagination
			$this->load->library('pagination');
			$config = array();
			$config['base_url'] = site_url("welcome/view_team/$sort_by/$sort_order");
			$config['total_rows'] = $data['num_results'];
			$config['per_page'] = $limit;
			$config['uri_segment'] = 5;
			$this->pagination->initialize($config);
			$data['pagination'] = $this->pagination->create_links();
			
			$data['sort_by'] = $sort_by;
			$data['sort_order'] = $sort_order;
			$user    = $this->user_model->get_user($_SESSION['user_id']);
			$data['user']=$user;
			if($_SESSION['type_code'] == 2){
				$this->load->view('admin2/sidebar'); 
				$this->load->view('admin2/header',$data);
			}elseif($_SESSION['type_code'] == 3){
				$this->load->view('editor1/sidebar'); 
				$this->load->view('editor1/header',$data);
			}else{
				$this->load->view('admin/sidebar'); 
				$this->load->view('admin/header',$data);
			}	
			$this->load->view('admin/view_team',$data); 
			$this->load->view('admin/footer');
		}else{
			//login page
			redirect('welcome/login');
			return;
		}
	}

	public function view_team_report($sort_by = 'regno', $sort_order = 'asc', $offset = 0) {
		if($this->session->userdata('email')!=''){
			
			if(isset($_POST['clear_filter'])){
				unset($_SESSION['search']);
				$search = "";
			}
			
			if(isset($_POST['limit'])){
				$_SESSION['limit'] = $this->input->post('limit');
				$limit = $_SESSION['limit'];
			}elseif(isset($_SESSION['limit'])){
				$limit = $_SESSION['limit'];
			}else {
				$limit = 100;
			}
			if(isset($_POST['search']) || isset($_SESSION['search'])){
				$_SESSION['search'] = $this->input->post('search');
				$search = $_SESSION['search'];
			} else {
				$search = "";
			}
			
			$data['fields'] = array(
				'regno' => 'Reg. No.',
				'name' => 'Name'
			);
			$results = $this->user_model->view_team($search, $limit, $offset, $sort_by, $sort_order);
			
			$data['found'] = $results['rows'];
			$data['num_results'] = $results['num_rows'];
			
			// pagination
			$this->load->library('pagination');
			$config = array();
			$config['base_url'] = site_url("welcome/view_team_report/$sort_by/$sort_order");
			$config['total_rows'] = $data['num_results'];
			$config['per_page'] = $limit;
			$config['uri_segment'] = 5;
			$this->pagination->initialize($config);
			$data['pagination'] = $this->pagination->create_links();
			
			$data['sort_by'] = $sort_by;
			$data['sort_order'] = $sort_order;
			$user    = $this->user_model->get_user($_SESSION['user_id']);
			$data['user']=$user;
			if($_SESSION['type_code'] == 2){
				$this->load->view('admin2/sidebar'); 
				$this->load->view('admin2/header',$data);
			}elseif($_SESSION['type_code'] == 3){
				$this->load->view('editor1/sidebar'); 
				$this->load->view('editor1/header',$data);
			}else{
				$this->load->view('admin/sidebar'); 
				$this->load->view('admin/header',$data);
			}	
			$this->load->view('admin/view_team_report',$data); 
			$this->load->view('admin/footer');
		}else{
			//login page
			redirect('welcome/login');
			return;
		}
	}

	public function view_team_website($sort_by = 'regno', $sort_order = 'asc', $offset = 0) {
			
			if(isset($_POST['clear_filter'])){
				unset($_SESSION['search']);
				$search = "";
			}
			
			if(isset($_POST['limit'])){
				$_SESSION['limit'] = $this->input->post('limit');
				$limit = $_SESSION['limit'];
			}elseif(isset($_SESSION['limit'])){
				$limit = $_SESSION['limit'];
			}else {
				$limit = 100;
			}
			if(isset($_POST['search']) || isset($_SESSION['search'])){
				$_SESSION['search'] = $this->input->post('search');
				$search = $_SESSION['search'];
			} else {
				$search = "";
			}
			
			$data['fields'] = array(
				'regno' => 'Reg. No.',
				'name' => 'Name'
			);
			$results = $this->user_model->view_team($search, $limit, $offset, $sort_by, $sort_order);
			
			$data['found'] = $results['rows'];
			$data['num_results'] = $results['num_rows'];
			
			// pagination
			$this->load->library('pagination');
			$config = array();
			$config['base_url'] = site_url("welcome/view_team_website/$sort_by/$sort_order");
			$config['total_rows'] = $data['num_results'];
			$config['per_page'] = $limit;
			$config['uri_segment'] = 5;
			$this->pagination->initialize($config);
			$data['pagination'] = $this->pagination->create_links();
			
			$data['sort_by'] = $sort_by;
			$data['sort_order'] = $sort_order;
			$user    = $this->user_model->get_user($_SESSION['user_id']);
			$data['user']=$user;
			$this->load->view('website/view_team_website',$data); 
	}

	public function add_team() {
		if($this->session->userdata('email')!=''){
			$data = new stdClass();

			$user    = $this->user_model->get_user($_SESSION['user_id']);
			$data->user=$user;
			$club    = $this->user_model->get_club();
			$data->club=$club;
			if($_SESSION['type_code']==1){
				$this->load->view('admin/sidebar'); 
				$this->load->view('admin/header',$data); 
			}else{
				$this->load->view('admin/sidebar'); 
				$this->load->view('admin/header',$data); 
			}
			$this->load->view('admin/add_team',$data); 
			$this->load->view('admin/footer');
		}else{
			//login page
			redirect('welcome/login');
			return;
		}
	}
	
	public function create_team() {
		if($this->session->userdata('email')!=''){
			// create the data object
			$data = new stdClass();
			$passarr = new stdClass();
			$passarr1 = new stdClass();
			$passarr2 = new stdClass();
			$passarr3 = new stdClass();
			$passarr4 = new stdClass();
			$data->show=0;

			// set validation rules
			$this->form_validation->set_rules('name', 'Name', 'trim|required');
			$this->form_validation->set_rules('email', 'Email', 'trim|required|valid_email');
			$this->form_validation->set_rules('mobile', 'Mobile', 'required|regex_match[/^[0-9]+$/]|min_length[10]');
			$this->form_validation->set_rules('regno', 'Registration No.', 'trim|required|is_unique[users.username]');
			/* for($i=1;$i<=15;$i++){
				$this->form_validation->set_rules('member'.$i, 'Member', 'is_unique[membertoteam.mid]');
			} */
			
			if($this->form_validation->run() == false){
				
			// validation not ok, send validation errors to the view
			$user    = $this->user_model->get_user($_SESSION['user_id']);
			$data->user=$user;
			$club    = $this->user_model->get_club();
			$data->club=$club;
			if($_SESSION['type_code']==2){
				$this->load->view('admin/sidebar'); 
				$this->load->view('admin/header',$data); 
			}else{
				$this->load->view('admin/sidebar'); 
				$this->load->view('admin/header',$data); 
			}
			$this->load->view('admin/add_team',$data); 
			$this->load->view('admin/footer'); 
				
			}else{
			
				$passarr->type_code = 4;
				$passarr->regno = $this->input->post('regno');
				$passarr->first_name = $this->input->post('name');
				$passarr->email = $this->input->post('email');
				$passarr->mobile = $this->input->post('mobile');
				$passarr->username = $this->input->post('regno');
				$password = $this->input->post('password');
				$hpassword = $this->user_model->hash_pass($password);					
				$passarr->password = $hpassword;
				
				$this->db->insert('users',$passarr);
				$userid = $this->db->insert_id();
			
				$passarr1->user_id = $userid;
				$passarr1->regno = $this->input->post('regno');
				$passarr1->name = $this->input->post('name');
				$passarr1->dor = $this->input->post('dor');
				$passarr1->address = $this->input->post('address');
				$passarr1->city = $this->input->post('city');
				$passarr1->state = $this->input->post('state');
				$passarr1->pincode = $this->input->post('pincode');
				$passarr1->email = $this->input->post('email');
				$passarr1->mobile = $this->input->post('mobile');
				$passarr1->manager_name = $this->input->post('manager_name');
				$passarr1->club = $this->input->post('club');
				$passarr1->status = 1;
				$this->db->insert('team',$passarr1);
				$tid = $this->db->insert_id();

				$passarr4->tid = $tid;
				$passarr4->manager_name = $this->input->post('manager_name');
				$passarr4->manager_email = $this->input->post('manager_email');
				$passarr4->manager_mobile = $this->input->post('manager_mobile');
				$passarr4->coach_name = $this->input->post('coach_name');
				$passarr4->coach_email = $this->input->post('coach_email');
				$passarr4->coach_mobile = $this->input->post('coach_mobile');
				$this->db->insert('teamtoadmin',$passarr4);

				$data = new stdClass();

				$user    = $this->user_model->get_user($_SESSION['user_id']);
				$data->user=$user;
				$club    = $this->user_model->get_club();
				$data->club=$club;
				$data->success = 'Team created successfully!';
				if($_SESSION['type_code']==2){
					$this->load->view('admin/sidebar'); 
					$this->load->view('admin/header',$data); 
				}else{
					$this->load->view('admin/sidebar'); 
					$this->load->view('admin/header',$data); 
				}
				$this->load->view('admin/add_team',$data); 
				$this->load->view('admin/footer'); 
			}
		}else{
			//login page
			redirect('welcome/login');
			return;
		}
	}

	public function team_detail($id) {
		if($this->session->userdata('email')!=''){
			// create the data object
			$data = new stdClass();
			$passarr = new stdClass();
			$passarr1 = new stdClass();
			$passarr2 = new stdClass();
			$data->show=0;
			
			$team    = $this->user_model->get_team_by_id($id);
			$data->team=$team;
			$club    = $this->user_model->get_club();
			$data->club=$club;
			$teamplayers    = $this->user_model->get_teamplayers($team->tid);
			$data->teamplayers=$teamplayers;
			$user    = $this->user_model->get_user($_SESSION['user_id']);
			$data->user=$user;
			if($_SESSION['type_code']==4){
				$this->load->view('team/sidebar'); 
				$this->load->view('team/header',$data); 
			}else{
				$this->load->view('admin/sidebar'); 
				$this->load->view('admin/header',$data); 
			}
			$this->load->view('admin/team_detail',$data); 
			$this->load->view('admin/footer');
		}else{
			//login page
			redirect('welcome/login');
			return;
		}
	}
	
	public function team_detail_basic($id) {
		if($this->session->userdata('email')!=''){
			// create the data object
			$data = new stdClass();
			$passarr = new stdClass();
			$passarr1 = new stdClass();
			$passarr2 = new stdClass();
			$data->show=0;
			
			$team    = $this->user_model->get_team_by_id($id);
			$data->team=$team;
			$club    = $this->user_model->get_club();
			$data->club=$club;
			$teamplayers    = $this->user_model->get_teamplayers($team->tid);
			$data->teamplayers=$teamplayers;
			$user    = $this->user_model->get_user($_SESSION['user_id']);
			$data->user=$user;
			if($_SESSION['type_code']==4){
				$this->load->view('team/sidebar'); 
				$this->load->view('team/header',$data); 
			}else{
				$this->load->view('admin/sidebar'); 
				$this->load->view('admin/header',$data); 
			}
			$this->load->view('admin/team_detail_basic',$data); 
			$this->load->view('admin/footer');
		}else{
			//login page
			redirect('welcome/login');
			return;
		}
	}
	
	public function team_detail_website($id) {
			// create the data object
			$data = new stdClass();
			$passarr = new stdClass();
			$passarr1 = new stdClass();
			$passarr2 = new stdClass();
			$data->show=0;
			
			$team    = $this->user_model->get_team_by_id($id);
			$data->team=$team;
			$club    = $this->user_model->get_club();
			$data->club=$club;
			$teamplayers    = $this->user_model->get_teamplayers($team->tid);
			$data->teamplayers=$teamplayers;
			$user    = $this->user_model->get_user($_SESSION['user_id']);
			$data->user=$user;
			$this->load->view('website/team_detail_website',$data); 
	}
	
	public function edit_team($id) {
		if($this->session->userdata('email')!=''){
			// create the data object
			$data = new stdClass();
			$passarr = new stdClass();
			$passarr1 = new stdClass();
			$passarr2 = new stdClass();
			$data->show=0;
			
			$team    = $this->user_model->get_team_by_id($id);
			$data->team=$team;
			$club    = $this->user_model->get_club();
			$data->club=$club;
			
			// set validation rules
			$this->form_validation->set_rules('name', 'Name', 'trim|required');
			$this->form_validation->set_rules('email', 'Email', 'trim|required|valid_email');
			$this->form_validation->set_rules('mobile', 'Mobile', 'required|regex_match[/^[0-9]+$/]|min_length[10]');
			
			if($this->form_validation->run() == false){
			// validation not ok, send validation errors to the view
			}
			else{
			
				//edit team login details
				if(isset($_POST['check'])){
					// set variables from the form
					$password = $this->input->post('password');
					$hpassword = $this->user_model->hash_pass($password);					
					$passarr->password = $hpassword;
				}

				$passarr->regno = $this->input->post('regno');
				$passarr->first_name = $this->input->post('name');
				$passarr->email = $this->input->post('email');
				$passarr->mobile = $this->input->post('mobile');
				$this->user_model->update_user($id,$passarr);

				$passarr1->regno = $this->input->post('regno');
				$passarr1->name = $this->input->post('name');
				$passarr1->dor = $this->input->post('dor');
				$passarr1->address = $this->input->post('address');
				$passarr1->city = $this->input->post('city');
				$passarr1->state = $this->input->post('state');
				$passarr1->pincode = $this->input->post('pincode');
				$passarr1->email = $this->input->post('email');
				$passarr1->mobile = $this->input->post('mobile');
				$passarr1->club = $this->input->post('club');
				$passarr1->manager_name = $this->input->post('manager_name');
				$passarr1->status = 1;
				$this->user_model->update_team($id,$passarr1);
				
				$passarr2->manager_name = $this->input->post('manager_name');
				$passarr2->manager_email = $this->input->post('manager_email');
				$passarr2->manager_mobile = $this->input->post('manager_mobile');
				$passarr2->coach_name = $this->input->post('coach_name');
				$passarr2->coach_email = $this->input->post('coach_email');
				$passarr2->coach_mobile = $this->input->post('coach_mobile');
				$this->user_model->update_team_admin($team->tid,$passarr2);

				$data->success = 'Team updated successfully!';
				$team    = $this->user_model->get_team_by_id($id);
				$data->team=$team;
				$club    = $this->user_model->get_club();
				$data->club=$club;
			}
			
			$user    = $this->user_model->get_user($_SESSION['user_id']);
			$data->user=$user;
			
			if($_SESSION['type_code']==4){
				$this->load->view('team/sidebar'); 
				$this->load->view('team/header',$data); 
			}else{
				$this->load->view('admin/sidebar'); 
				$this->load->view('admin/header',$data); 
			}
			$this->load->view('admin/edit_team',$data); 
			$this->load->view('admin/footer');
		}else{
			//login page
			redirect('welcome/login');
			return;
		}
	}
	
	public function delete_team($id) {
		if($this->session->userdata('email')!=''){
			// create the data object
			$data = new stdClass();
			$passarr = new stdClass();
			$data->show=0;
			
			$passarr->is_delete = 1;
			$this->user_model->update_user($id,$passarr);
			$this->user_model->update_team($id,$passarr);
			redirect('welcome/view_team');
		}else{
			//login page
			redirect('welcome/login');
			return;
		}
	
	}
	
	public function add_player_to_team($tuid) {
		if($this->session->userdata('email')!=''){
			// create the data object
			$data = new stdClass();
			$passarr = new stdClass();
			$passarr1 = new stdClass();
			$passarr2 = new stdClass();
			$data->show=0;
			
			$team    = $this->user_model->get_team_by_id($tuid);
			$data->team=$team;
			$club    = $this->user_model->get_club();
			$data->club=$club;
			$teamplayers    = $this->user_model->get_teamplayers($team->tid);
			$data->teamplayers=$teamplayers;
			$user    = $this->user_model->get_user($_SESSION['user_id']);
			$data->user=$user;
			if(isset($_POST['p_regno'])){
				$player    = $this->user_model->get_player_by_regno($_POST['p_regno']);
				$data->player=$player;
			}
			if($_SESSION['type_code']==4){
				$this->load->view('team/sidebar'); 
				$this->load->view('team/header',$data); 
			}else{
				$this->load->view('admin/sidebar'); 
				$this->load->view('admin/header',$data); 
			}
			$this->load->view('admin/add_player_to_team',$data); 
			$this->load->view('admin/footer');
		}else{
			//login page
			redirect('welcome/login');
			return;
		}
	}
	
	public function request_transfer($tuid,$tid,$pid,$ptid) {
		if($this->session->userdata('email')!=''){
			// create the data object
			$data = new stdClass();
			$passarr = new stdClass();
			$data->show=0;
			
			$request_team_name1 = $this->user_model->get_team_name($tid);
			$data->request_team_name1 = $request_team_name1;
			$team_name2 = $this->user_model->get_team_name($ptid);
			$data->team_name2 = $team_name2;
			$passarr->tid_request = $tid;
			$passarr->tname_request = $request_team_name1;
			$passarr->pid = $pid;
			$passarr->current_tid = $ptid;
			$passarr->current_tname = $team_name2;
			$passarr->status = 0;
			$passarr->is_delete = 0;
			$passarr->date_requested = date("Y-m-d");
			$this->db->insert('transfer_request',$passarr);

			$team    = $this->user_model->get_team_by_id($tuid);
			$data->team=$team;
			$club    = $this->user_model->get_club();
			$data->club=$club;
			$user    = $this->user_model->get_user($_SESSION['user_id']);
			$data->user=$user;
			$data->success="Transfer request has been sent successfully";
			$teamplayers    = $this->user_model->get_teamplayers($tuid);
			$data->teamplayers=$teamplayers;
			if($_SESSION['type_code']==2){
				$this->load->view('admin/sidebar'); 
				$this->load->view('admin/header',$data); 
			}elseif($_SESSION['type_code']==4){
				$this->load->view('team/sidebar'); 
				$this->load->view('team/header',$data); 
			}else{
				$this->load->view('admin/sidebar'); 
				$this->load->view('admin/header',$data); 
			}
			$this->load->view('admin/team_detail',$data); 
			$this->load->view('admin/footer');
		}else{
			//login page
			redirect('welcome/login');
			return;
		}
	}
	
	public function add_team_player($tuid,$tid,$pid) {
		if($this->session->userdata('email')!=''){
			// create the data object
			$data = new stdClass();
			$passarr = new stdClass();
			$data->show=0;
			
			$passarr->tid_request = $tid;
			$passarr->pid = $pid;
			$passarr->status = 0;
			$passarr->is_delete = 0;
			$passarr->date_requested = date("Y-m-d");
			$this->db->insert('transfer_request',$passarr);

			$team    = $this->user_model->get_team_by_id($tuid);
			$data->team=$team;
			$club    = $this->user_model->get_club();
			$data->club=$club;
			$teamplayers    = $this->user_model->get_teamplayers($team->tid);
			$data->teamplayers=$teamplayers;
			$user    = $this->user_model->get_user($_SESSION['user_id']);
			$data->user=$user;
			$data->success="Player add request has been sent successfully";
			if($_SESSION['type_code']==4){
				$this->load->view('team/sidebar'); 
				$this->load->view('team/header',$data); 
			}else{
				$this->load->view('admin/sidebar'); 
				$this->load->view('admin/header',$data); 
			}
			$this->load->view('admin/team_detail',$data); 
			$this->load->view('admin/footer');
		}else{
			//login page
			redirect('welcome/login');
			return;
		}
	}
	
	public function transfer() {
		if($this->session->userdata('email')!=''){
			// create the data object
			$data = new stdClass();
			$passarr = new stdClass();
			$data->show=0;
			
			$transfer_request = $this->user_model->get_transfer_request();
			$data->transfer_request=$transfer_request;
			$user    = $this->user_model->get_user($_SESSION['user_id']);
			$data->user=$user;
			if($_SESSION['type_code']==2){
				$this->load->view('admin/sidebar'); 
				$this->load->view('admin/header',$data); 
			}else{
				$this->load->view('admin/sidebar'); 
				$this->load->view('admin/header',$data); 
			}
			$this->load->view('admin/transfer',$data); 
			$this->load->view('admin/footer');
		}else{
			//login page
			redirect('welcome/login');
			return;
		}
	}
	
	public function approve_transfer($id,$pid,$tid) {
		if($this->session->userdata('email')!=''){
			// create the data object
			$data = new stdClass();
			$passarr = new stdClass();
			$passarr1 = new stdClass();
			$data->show=0;
			
			$passarr->status=1;
			$this->user_model->approve_transfer_request($id,$passarr);
			
			$p_id = $this->user_model->get_player_userid($pid);
			/* $passarr1->team = (int)$tid;
			$this->user_model->update_player($p_id,$passarr1);
			echo $this->db->last_query(); */
			$this->db->query("UPDATE `player` SET `team` = ".$tid." WHERE `user_id` = ".$p_id."");
			
			$transfer_request = $this->user_model->get_transfer_request();
			$data->transfer_request=$transfer_request;
			$user    = $this->user_model->get_user($_SESSION['user_id']);
			$data->user=$user;
			if($_SESSION['type_code']==2){
				$this->load->view('admin/sidebar'); 
				$this->load->view('admin/header',$data); 
			}else{
				$this->load->view('admin/sidebar'); 
				$this->load->view('admin/header',$data); 
			}
			$this->load->view('admin/transfer',$data); 
			$this->load->view('admin/footer');
		}else{
			//login page
			redirect('welcome/login');
			return;
		}
	}
	
	public function reject_transfer($id) {
		if($this->session->userdata('email')!=''){
			// create the data object
			$data = new stdClass();
			$passarr = new stdClass();
			$data->show=0;
			
			$passarr->status=2;
			$this->user_model->reject_transfer_request($id,$passarr);
			$transfer_request = $this->user_model->get_transfer_request();
			$data->transfer_request=$transfer_request;
			$user    = $this->user_model->get_user($_SESSION['user_id']);
			$data->user=$user;
			if($_SESSION['type_code']==2){
				$this->load->view('admin/sidebar'); 
				$this->load->view('admin/header',$data); 
			}else{
				$this->load->view('admin/sidebar'); 
				$this->load->view('admin/header',$data); 
			}
			$this->load->view('admin/transfer',$data); 
			$this->load->view('admin/footer');
		}else{
			//login page
			redirect('welcome/login');
			return;
		}
	}
	
	public function view_member($sort_by = 'fname', $sort_order = 'asc', $offset = 0) {
		if($this->session->userdata('email')!=''){
			
			if(isset($_POST['clear_filter'])){
				unset($_SESSION['search']);
				$search = "";
			}
			
			if(isset($_POST['limit'])){
				$_SESSION['limit'] = $this->input->post('limit');
				$limit = $_SESSION['limit'];
			}elseif(isset($_SESSION['limit'])){
				$limit = $_SESSION['limit'];
			}else {
				$limit = 100;
			}
			if(isset($_POST['search']) || isset($_SESSION['search'])){
				$_SESSION['search'] = $this->input->post('search');
				$search = $_SESSION['search'];
			} else {
				$search = "";
			}
			
			$data['fields'] = array(
				'first_name' => 'Name'
			);
			$results = $this->user_model->view_member($search, $limit, $offset, $sort_by, $sort_order);
			
			$data['found'] = $results['rows'];
			$data['num_results'] = $results['num_rows'];
			
			// pagination
			$this->load->library('pagination');
			$config = array();
			$config['base_url'] = site_url("welcome/view_member/$sort_by/$sort_order");
			$config['total_rows'] = $data['num_results'];
			$config['per_page'] = $limit;
			$config['uri_segment'] = 5;
			$this->pagination->initialize($config);
			$data['pagination'] = $this->pagination->create_links();
			
			$data['sort_by'] = $sort_by;
			$data['sort_order'] = $sort_order;
			$user    = $this->user_model->get_user($_SESSION['user_id']);
			$data['user']=$user;
			if($_SESSION['type_code'] == 2){
				$this->load->view('admin2/sidebar'); 
				$this->load->view('admin2/header',$data);
			}elseif($_SESSION['type_code'] == 3){
				$this->load->view('editor1/sidebar'); 
				$this->load->view('editor1/header',$data);
			}else{
				$this->load->view('admin/sidebar'); 
				$this->load->view('admin/header',$data);
			}	
			$this->load->view('admin/view_member',$data); 
			$this->load->view('admin/footer');
		}else{
			//login page
			redirect('welcome/login');
			return;
		}
	}

	public function add_member() {
		if($this->session->userdata('email')!=''){
			$data = new stdClass();

			$user    = $this->user_model->get_user($_SESSION['user_id']);
			$data->user=$user;
			if($_SESSION['type_code']==1){
				$this->load->view('admin/sidebar'); 
				$this->load->view('admin/header',$data); 
			}else{
				$this->load->view('admin/sidebar'); 
				$this->load->view('admin/header',$data); 
			}
			$this->load->view('admin/add_member',$data); 
			$this->load->view('admin/footer');
		}else{
			//login page
			redirect('welcome/login');
			return;
		}
	}
	
	public function create_member() {
		if($this->session->userdata('email')!=''){
			// create the data object
			$data = new stdClass();
			$passarr = new stdClass();
			$passarr1 = new stdClass();
			$passarr2 = new stdClass();
			$data->show=0;

			// set validation rules
			$this->form_validation->set_rules('fname', 'Name', 'trim|required');
			$this->form_validation->set_rules('mtype', 'Member Type', 'trim|required');
			$this->form_validation->set_rules('email', 'Email', 'trim|required|valid_email');
			$this->form_validation->set_rules('mobile', 'Mobile', 'required|regex_match[/^[0-9]+$/]|min_length[10]');
			$this->form_validation->set_rules('regno', 'Registration No.', 'trim|required|is_unique[users.username]');
			
			if($this->form_validation->run() == false){
				
			// validation not ok, send validation errors to the view
			$user    = $this->user_model->get_user($_SESSION['user_id']);
			$data->user=$user;
			if($_SESSION['type_code']==2){
				$this->load->view('admin/sidebar'); 
				$this->load->view('admin/header',$data); 
			}else{
				$this->load->view('admin/sidebar'); 
				$this->load->view('admin/header',$data); 
			}
			$this->load->view('admin/add_member'); 
			$this->load->view('admin/footer'); 
				
			}else{
			
				$passarr->type_code = 3;
				$passarr->regno = $this->input->post('regno');
				$passarr->first_name = $this->input->post('fname');
				$passarr->last_name = $this->input->post('lname');
				$passarr->email = $this->input->post('email');
				$passarr->mobile = $this->input->post('mobile');
				$passarr->username = $this->input->post('regno');
				$password = $this->input->post('password');
				$hpassword = $this->user_model->hash_pass($password);					
				$passarr->password = $hpassword;
				
				$this->db->insert('users',$passarr);
				$userid = $this->db->insert_id();
			
				$passarr1->user_id = $userid;
				$passarr1->regno = $this->input->post('regno');
				$passarr1->fname = $this->input->post('fname');
				$passarr1->mname = $this->input->post('mname');
				$passarr1->lname = $this->input->post('lname');
				$passarr1->dob = $this->input->post('dob');
				$passarr1->dor = $this->input->post('dor');
				$passarr1->address = $this->input->post('address');
				$passarr1->city = $this->input->post('city');
				$passarr1->state = $this->input->post('state');
				$passarr1->pincode = $this->input->post('pincode');
				$passarr1->email = $this->input->post('email');
				$passarr1->mobile = $this->input->post('mobile');
				$passarr1->mtype = $this->input->post('mtype');
				$passarr1->status = 1;
				$this->db->insert('member',$passarr1);

				$data = new stdClass();

				$user    = $this->user_model->get_user($_SESSION['user_id']);
				$data->user=$user;
				$data->success = 'Member created successfully!';
				if($_SESSION['type_code']==2){
					$this->load->view('admin/sidebar'); 
					$this->load->view('admin/header',$data); 
				}else{
					$this->load->view('admin/sidebar'); 
					$this->load->view('admin/header',$data); 
				}
				$this->load->view('admin/add_member',$data); 
				$this->load->view('admin/footer'); 
			}
		}else{
			//login page
			redirect('welcome/login');
			return;
		}
	}

	public function edit_member($id) {
		if($this->session->userdata('email')!=''){
			// create the data object
			$data = new stdClass();
			$passarr = new stdClass();
			$passarr1 = new stdClass();
			$data->show=0;
			
			$member    = $this->user_model->get_member_by_id($id);
			$data->member=$member;
			
			// set validation rules
			$this->form_validation->set_rules('fname', 'Name', 'trim|required');
			$this->form_validation->set_rules('email', 'Email', 'trim|required|valid_email');
			$this->form_validation->set_rules('mobile', 'Mobile', 'required|regex_match[/^[0-9]+$/]|min_length[10]');
			
			if($this->form_validation->run() == false){
			// validation not ok, send validation errors to the view
			}
			else{
			
				//edit member login details
				if(isset($_POST['check'])){
					// set variables from the form
					$password = $this->input->post('password');
					$hpassword = $this->user_model->hash_pass($password);					
					$passarr->password = $hpassword;
				}

				$passarr->regno = $this->input->post('regno');
				$passarr->first_name = $this->input->post('fname');
				$passarr->last_name = $this->input->post('lname');
				$passarr->email = $this->input->post('email');
				$passarr->mobile = $this->input->post('mobile');
				$this->user_model->update_user($id,$passarr);

				$passarr1->regno = $this->input->post('regno');
				$passarr1->fname = $this->input->post('fname');
				$passarr1->mname = $this->input->post('mname');
				$passarr1->lname = $this->input->post('lname');
				$passarr1->dob = $this->input->post('dob');
				$passarr1->dor = $this->input->post('dor');
				$passarr1->address = $this->input->post('address');
				$passarr1->city = $this->input->post('city');
				$passarr1->state = $this->input->post('state');
				$passarr1->pincode = $this->input->post('pincode');
				$passarr1->email = $this->input->post('email');
				$passarr1->mobile = $this->input->post('mobile');
				$passarr1->status = 1;
				$this->user_model->update_member($id,$passarr1);
				
				$data->success = 'Member updated successfully!';
				$member    = $this->user_model->get_member_by_id($id);
				$data->member=$member;
			}
			
			$user    = $this->user_model->get_user($_SESSION['user_id']);
			$data->user=$user;
			
			if($_SESSION['type_code']==2){
				$this->load->view('admin/sidebar'); 
				$this->load->view('admin/header',$data); 
			}else{
				$this->load->view('admin/sidebar'); 
				$this->load->view('admin/header',$data); 
			}
			$this->load->view('admin/edit_member',$data); 
			$this->load->view('admin/footer');
		}else{
			//login page
			redirect('welcome/login');
			return;
		}
	}
	
	public function member_detail($id) {
		if($this->session->userdata('email')!=''){
			// create the data object
			$data = new stdClass();
			$passarr = new stdClass();
			$passarr1 = new stdClass();
			$passarr2 = new stdClass();
			$data->show=0;
			
			$member    = $this->user_model->get_member_by_id($id);
			$data->member=$member;
			$user    = $this->user_model->get_user($_SESSION['user_id']);
			$data->user=$user;
			if($_SESSION['type_code']==4){
				$this->load->view('team/sidebar'); 
				$this->load->view('team/header',$data); 
			}else{
				$this->load->view('admin/sidebar'); 
				$this->load->view('admin/header',$data); 
			}
			$this->load->view('admin/member_detail',$data); 
			$this->load->view('admin/footer');
		}else{
			//login page
			redirect('welcome/login');
			return;
		}
	}
	
	public function delete_member($id) {
		if($this->session->userdata('email')!=''){
			// create the data object
			$data = new stdClass();
			$passarr = new stdClass();
			$data->show=0;
			
			$passarr->is_delete = 1;
			$this->user_model->update_user($id,$passarr);
			$this->user_model->update_member($id,$passarr);
			redirect('welcome/view_member');
		}else{
			//login page
			redirect('welcome/login');
			return;
		}
	
	}
	
	public function view_committee($sort_by = 'c_name', $sort_order = 'asc', $offset = 0) {
		if($this->session->userdata('email')!=''){
			
			if(isset($_POST['clear_filter'])){
				unset($_SESSION['search']);
				$search = "";
			}
			
			if(isset($_POST['limit'])){
				$_SESSION['limit'] = $this->input->post('limit');
				$limit = $_SESSION['limit'];
			}elseif(isset($_SESSION['limit'])){
				$limit = $_SESSION['limit'];
			}else {
				$limit = 100;
			}
			if(isset($_POST['search']) || isset($_SESSION['search'])){
				$_SESSION['search'] = $this->input->post('search');
				$search = $_SESSION['search'];
			} else {
				$search = "";
			}
			
			$data['fields'] = array(
				'c_name' => 'Name'
			);
			$results = $this->user_model->view_committee($search, $limit, $offset, $sort_by, $sort_order);
			
			$data['found'] = $results['rows'];
			$data['num_results'] = $results['num_rows'];
			
			// pagination
			$this->load->library('pagination');
			$config = array();
			$config['base_url'] = site_url("welcome/view_committee/$sort_by/$sort_order");
			$config['total_rows'] = $data['num_results'];
			$config['per_page'] = $limit;
			$config['uri_segment'] = 5;
			$this->pagination->initialize($config);
			$data['pagination'] = $this->pagination->create_links();
			
			$data['sort_by'] = $sort_by;
			$data['sort_order'] = $sort_order;
			$user    = $this->user_model->get_user($_SESSION['user_id']);
			$data['user']=$user;
			if($_SESSION['type_code'] == 2){
				$this->load->view('admin2/sidebar'); 
				$this->load->view('admin2/header',$data);
			}elseif($_SESSION['type_code'] == 3){
				$this->load->view('editor1/sidebar'); 
				$this->load->view('editor1/header',$data);
			}else{
				$this->load->view('admin/sidebar'); 
				$this->load->view('admin/header',$data);
			}	
			$this->load->view('admin/view_committee',$data); 
			$this->load->view('admin/footer');
		}else{
			//login page
			redirect('welcome/login');
			return;
		}
	}

	public function add_committee() {
		if($this->session->userdata('email')!=''){
			$data = new stdClass();

			$user    = $this->user_model->get_user($_SESSION['user_id']);
			$data->user=$user;
			if($_SESSION['type_code']==1){
				$this->load->view('admin/sidebar'); 
				$this->load->view('admin/header',$data); 
			}else{
				$this->load->view('admin/sidebar'); 
				$this->load->view('admin/header',$data); 
			}
			$this->load->view('admin/add_committee',$data); 
			$this->load->view('admin/footer');
		}else{
			//login page
			redirect('welcome/login');
			return;
		}
	}
	
	public function create_committee() {
		if($this->session->userdata('email')!=''){
			// create the data object
			$data = new stdClass();
			$passarr = new stdClass();
			$passarr1 = new stdClass();
			$data->show=0;

			// set validation rules
			$this->form_validation->set_rules('c_name', 'Committee Name', 'trim|required');
			
			if($this->form_validation->run() == false){
				
			// validation not ok, send validation errors to the view
			$user    = $this->user_model->get_user($_SESSION['user_id']);
			$data->user=$user;
			if($_SESSION['type_code']==2){
				$this->load->view('admin/sidebar'); 
				$this->load->view('admin/header',$data); 
			}else{
				$this->load->view('admin/sidebar'); 
				$this->load->view('admin/header',$data); 
			}
			$this->load->view('admin/add_committee'); 
			$this->load->view('admin/footer'); 
				
			}else{
			
				$passarr1->c_name = $this->input->post('c_name');
				$passarr1->c_desc = $this->input->post('c_desc');
				$this->db->insert('committee',$passarr1);

				$data = new stdClass();

				$user    = $this->user_model->get_user($_SESSION['user_id']);
				$data->user=$user;
				$data->success = 'Committee created successfully!';
				if($_SESSION['type_code']==2){
					$this->load->view('admin/sidebar'); 
					$this->load->view('admin/header',$data); 
				}else{
					$this->load->view('admin/sidebar'); 
					$this->load->view('admin/header',$data); 
				}
				$this->load->view('admin/add_committee',$data); 
				$this->load->view('admin/footer'); 
			}
		}else{
			//login page
			redirect('welcome/login');
			return;
		}
	}

	public function edit_committee($id) {
		if($this->session->userdata('email')!=''){
			// create the data object
			$data = new stdClass();
			$passarr = new stdClass();
			$passarr1 = new stdClass();
			$data->show=0;
			
			$committee    = $this->user_model->get_committee_by_id($id);
			$data->committee=$committee;
			
			// set validation rules
			$this->form_validation->set_rules('c_name', 'Name', 'trim|required');
			
			if($this->form_validation->run() == false){
			// validation not ok, send validation errors to the view
			}
			else{
			
				$passarr1->c_name = $this->input->post('c_name');
				$passarr1->c_desc = $this->input->post('c_desc');
				$this->user_model->update_committee($id,$passarr1);
				
				$data->success = 'Committee updated successfully!';
				$committee    = $this->user_model->get_committee_by_id($id);
				$data->committee=$committee;
			}
			
			$user    = $this->user_model->get_user($_SESSION['user_id']);
			$data->user=$user;
			
			if($_SESSION['type_code']==2){
				$this->load->view('admin/sidebar'); 
				$this->load->view('admin/header',$data); 
			}else{
				$this->load->view('admin/sidebar'); 
				$this->load->view('admin/header',$data); 
			}
			$this->load->view('admin/edit_committee',$data); 
			$this->load->view('admin/footer');
		}else{
			//login page
			redirect('welcome/login');
			return;
		}
	}
	
	public function committee_detail($id) {
		if($this->session->userdata('email')!=''){
			// create the data object
			$data = new stdClass();
			$passarr = new stdClass();
			$passarr1 = new stdClass();
			$passarr2 = new stdClass();
			$data->show=0;
			
			$committee    = $this->user_model->get_committee_by_id($id);
			$data->committee=$committee;
			$committeemember    = $this->user_model->get_committeemembers($id);
			$data->committeemember=$committeemember;
			$user    = $this->user_model->get_user($_SESSION['user_id']);
			$data->user=$user;
			if($_SESSION['type_code']==4){
				$this->load->view('team/sidebar'); 
				$this->load->view('team/header',$data); 
			}else{
				$this->load->view('admin/sidebar'); 
				$this->load->view('admin/header',$data); 
			}
			$this->load->view('admin/committee_detail',$data); 
			$this->load->view('admin/footer');
		}else{
			//login page
			redirect('welcome/login');
			return;
		}
	}
	
	public function delete_committee($id) {
		if($this->session->userdata('email')!=''){
			// create the data object
			$data = new stdClass();
			$passarr = new stdClass();
			$data->show=0;
			
			$passarr->is_delete = 1;
			$this->user_model->update_user($id,$passarr);
			$this->user_model->update_committee($id,$passarr);
			redirect('welcome/view_committee');
		}else{
			//login page
			redirect('welcome/login');
			return;
		}
	
	}
	
	public function add_member_to_committee($cid) {
		if($this->session->userdata('email')!=''){
			// create the data object
			$data = new stdClass();
			$passarr = new stdClass();
			$passarr1 = new stdClass();
			$passarr2 = new stdClass();
			$data->show=0;
			
			$committee    = $this->user_model->get_committee_by_id($cid);
			$data->committee=$committee;
			$committeemembers    = $this->user_model->get_committeemembers($cid);
			$data->committeemembers=$committeemembers;
			$user    = $this->user_model->get_user($_SESSION['user_id']);
			$data->user=$user;
			if(isset($_POST['m_regno'])){
				$member    = $this->user_model->get_member_by_regno($_POST['m_regno']);
				$data->member=$member;
			}
			if($_SESSION['type_code']==4){
				$this->load->view('team/sidebar'); 
				$this->load->view('team/header',$data); 
			}else{
				$this->load->view('admin/sidebar'); 
				$this->load->view('admin/header',$data); 
			}
			$this->load->view('admin/add_member_to_committee',$data); 
			$this->load->view('admin/footer');
		}else{
			//login page
			redirect('welcome/login');
			return;
		}
	}
	
	public function add_committee_member($cid,$mid) {
		if($this->session->userdata('email')!=''){
			// create the data object
			$data = new stdClass();
			$passarr = new stdClass();
			$data->show=0;
			
			$passarr->mid = $mid;
			$passarr->cid = $cid;
			$passarr->position = $this->input->post('position');
			$passarr->date_created = date("Y-m-d");
			$this->db->insert('membertocommittee',$passarr);

			$committee    = $this->user_model->get_committee_by_id($cid);
			$data->committee=$committee;
			$committeemember    = $this->user_model->get_committeemembers($cid);
			$data->committeemember=$committeemember;
			$user    = $this->user_model->get_user($_SESSION['user_id']);
			$data->user=$user;
			$data->success="Member added successfully";
			if($_SESSION['type_code']==4){
				$this->load->view('team/sidebar'); 
				$this->load->view('team/header',$data); 
			}else{
				$this->load->view('admin/sidebar'); 
				$this->load->view('admin/header',$data); 
			}
			$this->load->view('admin/committee_detail',$data); 
			$this->load->view('admin/footer');
		}else{
			//login page
			redirect('welcome/login');
			return;
		}
	}
	
	public function view_player($sort_by = 'fname', $sort_order = 'asc', $offset = 0) {
		if($this->session->userdata('email')!=''){
			
			if(isset($_POST['clear_filter'])){
				unset($_SESSION['search']);
				$search = "";
			}
			
			if(isset($_POST['limit'])){
				$_SESSION['limit'] = $this->input->post('limit');
				$limit = $_SESSION['limit'];
			}elseif(isset($_SESSION['limit'])){
				$limit = $_SESSION['limit'];
			}else {
				$limit = 100;
			}
			if(isset($_POST['search']) || isset($_SESSION['search'])){
				$_SESSION['search'] = $this->input->post('search');
				$search = $_SESSION['search'];
			} else {
				$search = "";
			}
			
			$data['fields'] = array(
				'first_name' => 'Name'
			);
			$results = $this->user_model->view_player($search, $limit, $offset, $sort_by, $sort_order);
			
			$data['found'] = $results['rows'];
			$data['num_results'] = $results['num_rows'];
			
			// pagination
			$this->load->library('pagination');
			$config = array();
			$config['base_url'] = site_url("welcome/view_player/$sort_by/$sort_order");
			$config['total_rows'] = $data['num_results'];
			$config['per_page'] = $limit;
			$config['uri_segment'] = 5;
			$this->pagination->initialize($config);
			$data['pagination'] = $this->pagination->create_links();
			
			$data['sort_by'] = $sort_by;
			$data['sort_order'] = $sort_order;
			$user    = $this->user_model->get_user($_SESSION['user_id']);
			$data['user']=$user;
			if($_SESSION['type_code'] == 2){
				$this->load->view('admin2/sidebar'); 
				$this->load->view('admin2/header',$data);
			}elseif($_SESSION['type_code'] == 3){
				$this->load->view('editor1/sidebar'); 
				$this->load->view('editor1/header',$data);
			}else{
				$this->load->view('admin/sidebar'); 
				$this->load->view('admin/header',$data);
			}	
			$this->load->view('admin/view_player',$data); 
			$this->load->view('admin/footer');
		}else{
			//login page
			redirect('welcome/login');
			return;
		}
	}

	public function view_player_update_request($sort_by = 'fname', $sort_order = 'asc', $offset = 0) {
		if($this->session->userdata('email')!=''){
			
			if(isset($_POST['clear_filter'])){
				unset($_SESSION['search']);
				$search = "";
			}
			
			if(isset($_POST['limit'])){
				$_SESSION['limit'] = $this->input->post('limit');
				$limit = $_SESSION['limit'];
			}elseif(isset($_SESSION['limit'])){
				$limit = $_SESSION['limit'];
			}else {
				$limit = 100;
			}
			if(isset($_POST['search']) || isset($_SESSION['search'])){
				$_SESSION['search'] = $this->input->post('search');
				$search = $_SESSION['search'];
			} else {
				$search = "";
			}
			
			$data['fields'] = array(
				'first_name' => 'Name'
			);
			$results = $this->user_model->view_player_update_request($search, $limit, $offset, $sort_by, $sort_order);
			
			$data['found'] = $results['rows'];
			$data['num_results'] = $results['num_rows'];
			
			// pagination
			$this->load->library('pagination');
			$config = array();
			$config['base_url'] = site_url("welcome/view_player_update_request/$sort_by/$sort_order");
			$config['total_rows'] = $data['num_results'];
			$config['per_page'] = $limit;
			$config['uri_segment'] = 5;
			$this->pagination->initialize($config);
			$data['pagination'] = $this->pagination->create_links();
			
			$data['sort_by'] = $sort_by;
			$data['sort_order'] = $sort_order;
			$user    = $this->user_model->get_user($_SESSION['user_id']);
			$data['user']=$user;
			if($_SESSION['type_code'] == 2){
				$this->load->view('admin2/sidebar'); 
				$this->load->view('admin2/header',$data);
			}elseif($_SESSION['type_code'] == 3){
				$this->load->view('editor1/sidebar'); 
				$this->load->view('editor1/header',$data);
			}else{
				$this->load->view('admin/sidebar'); 
				$this->load->view('admin/header',$data);
			}	
			$this->load->view('admin/view_player_update_request',$data); 
			$this->load->view('admin/footer');
		}else{
			//login page
			redirect('welcome/login');
			return;
		}
	}

	public function view_player_website($sort_by = 'fname', $sort_order = 'asc', $offset = 0) {
			
			if(isset($_POST['clear_filter'])){
				unset($_SESSION['search']);
				$search = "";
			}
			
			if(isset($_POST['limit'])){
				$_SESSION['limit'] = $this->input->post('limit');
				$limit = $_SESSION['limit'];
			}elseif(isset($_SESSION['limit'])){
				$limit = $_SESSION['limit'];
			}else {
				$limit = 100;
			}
			if(isset($_POST['search']) || isset($_SESSION['search'])){
				$_SESSION['search'] = $this->input->post('search');
				$search = $_SESSION['search'];
			} else {
				$search = "";
			}
			
			$data['fields'] = array(
				'first_name' => 'Name'
			);
			$results = $this->user_model->view_player($search, $limit, $offset, $sort_by, $sort_order);
			
			$data['found'] = $results['rows'];
			$data['num_results'] = $results['num_rows'];
			
			// pagination
			$this->load->library('pagination');
			$config = array();
			$config['base_url'] = site_url("welcome/view_player_website/$sort_by/$sort_order");
			$config['total_rows'] = $data['num_results'];
			$config['per_page'] = $limit;
			$config['uri_segment'] = 5;
			$this->pagination->initialize($config);
			$data['pagination'] = $this->pagination->create_links();
			
			$data['sort_by'] = $sort_by;
			$data['sort_order'] = $sort_order;
			$user    = $this->user_model->get_user($_SESSION['user_id']);
			$data['user']=$user;
			$this->load->view('website/view_player_website',$data); 
	}

	public function view_team_player($sort_by = 'fname', $sort_order = 'asc', $offset = 0) {
		if($this->session->userdata('email')!=''){
			
			if(isset($_POST['clear_filter'])){
				unset($_SESSION['search']);
				$search = "";
			}
			
			if(isset($_POST['limit'])){
				$_SESSION['limit'] = $this->input->post('limit');
				$limit = $_SESSION['limit'];
			}elseif(isset($_SESSION['limit'])){
				$limit = $_SESSION['limit'];
			}else {
				$limit = 100;
			}
			if(isset($_POST['search']) || isset($_SESSION['search'])){
				$_SESSION['search'] = $this->input->post('search');
				$search = $_SESSION['search'];
			} else {
				$search = "";
			}
			
			$data['fields'] = array(
				'first_name' => 'Name'
			);
			$results = $this->user_model->view_team_player($search, $limit, $offset, $sort_by, $sort_order);
			
			$data['found'] = $results['rows'];
			$data['num_results'] = $results['num_rows'];
			
			// pagination
			$this->load->library('pagination');
			$config = array();
			$config['base_url'] = site_url("welcome/view_team_player/$sort_by/$sort_order");
			$config['total_rows'] = $data['num_results'];
			$config['per_page'] = $limit;
			$config['uri_segment'] = 5;
			$this->pagination->initialize($config);
			$data['pagination'] = $this->pagination->create_links();
			
			$data['sort_by'] = $sort_by;
			$data['sort_order'] = $sort_order;
			$user    = $this->user_model->get_user($_SESSION['user_id']);
			$data['user']=$user;
			if($_SESSION['type_code'] == 2){
				$this->load->view('admin2/sidebar'); 
				$this->load->view('admin2/header',$data);
			}elseif($_SESSION['type_code'] == 3){
				$this->load->view('editor1/sidebar'); 
				$this->load->view('editor1/header',$data);
			}else{
				$this->load->view('team/sidebar'); 
				$this->load->view('team/header',$data);
			}	
			$this->load->view('team/view_team_player',$data); 
			$this->load->view('team/footer');
		}else{
			//login page
			redirect('welcome/login');
			return;
		}
	}

	public function add_player() {
		if($this->session->userdata('email')!=''){
			$data = new stdClass();

			$user    = $this->user_model->get_user($_SESSION['user_id']);
			$data->user=$user;
			if($_SESSION['type_code']==1){
				$this->load->view('admin/sidebar'); 
				$this->load->view('admin/header',$data); 
			}else{
				$this->load->view('admin/sidebar'); 
				$this->load->view('admin/header',$data); 
			}
			$this->load->view('admin/add_player',$data); 
			$this->load->view('admin/footer');
		}else{
			//login page
			redirect('welcome/login');
			return;
		}
	}
	
	public function create_player() {
		if($this->session->userdata('email')!=''){
			// create the data object
			$data = new stdClass();
			$passarr = new stdClass();
			$passarr1 = new stdClass();
			$passarr2 = new stdClass();
			$data->show=0;

			// set validation rules
			/* $this->form_validation->set_rules('fname', 'Name', 'trim|required');
			$this->form_validation->set_rules('email', 'Email', 'trim|valid_email');
			$this->form_validation->set_rules('mobile', 'Mobile', 'required|regex_match[/^[0-9]+$/]|min_length[10]');
			$this->form_validation->set_rules('regno', 'Registration No.', 'trim|required|is_unique[users.username]');
			
			if($this->form_validation->run() == false){
				
			// validation not ok, send validation errors to the view
			$user    = $this->user_model->get_user($_SESSION['user_id']);
			$data->user=$user;
			if($_SESSION['type_code']==2){
				$this->load->view('admin/sidebar'); 
				$this->load->view('admin/header',$data); 
			}else{
				$this->load->view('admin/sidebar'); 
				$this->load->view('admin/header',$data); 
			}
			$this->load->view('admin/add_player'); 
			$this->load->view('admin/footer'); 
				
			}else{ */
				$data = new stdClass();
				
				$this->load->library('upload');
				$is_submit = $this->input->post('is_submit');

				if( isset($is_submit) && $is_submit == 1) {
				$userFile =  array(
				 'upload_path'     => "./upload/",
				 'upload_url'      => base_url()."/upload/",
				 'allowed_types'   => "jpg|png|jpeg|pdf|docx|xml|doc",
				 //'overwrite'       => TRUE,
				 'max_size'        => "100000KB",
				 'max_height'      => "17680",
				 'max_width'       => "10240"   
				);
				$this->upload->initialize($userFile);
				
				if($this->upload->do_upload('profile_photo')){
					$data_upload_files = $this->upload->data();
					$image1 = $data_upload_files[file_name];
					$isUpload = TRUE;//echo $isUpload;
				}
				if($this->upload->do_upload('id_proof')){
					$data_upload_files = $this->upload->data();
					$image2 = $data_upload_files[file_name];
					$isUpload = TRUE;//echo $isUpload;
				}
				if($this->upload->do_upload('address_proof')){
					$data_upload_files = $this->upload->data();
					$image3 = $data_upload_files[file_name];
					$isUpload = TRUE;//echo $isUpload;
				}/* else{
					$isUpload = FALSE;	
					//echo $this->upload->display_errors();
					$data->error = 'Image not uploaded. Retry';
				} */
			
				$passarr->type_code = 5;
				$passarr->regno = $this->input->post('regno');
				$passarr->first_name = $this->input->post('fname');
				$passarr->last_name = $this->input->post('lname');
				$passarr->email = $this->input->post('email');
				$passarr->mobile = $this->input->post('mobile');
				$passarr->username = $this->input->post('regno');
				$password = $this->input->post('password');
				$hpassword = $this->user_model->hash_pass($password);					
				$passarr->password = $hpassword;
				
				$this->db->insert('users',$passarr);
				$userid = $this->db->insert_id();
			
				$passarr1->user_id = $userid;
				$passarr1->regno = $this->input->post('regno');
				$passarr1->fname = $this->input->post('fname');
				$passarr1->mname = $this->input->post('mname');
				$passarr1->lname = $this->input->post('lname');
				$passarr1->dob = $this->input->post('dob');
				$passarr1->dor = $this->input->post('dor');
				$passarr1->address = $this->input->post('address');
				$passarr1->city = $this->input->post('city');
				$passarr1->state = $this->input->post('state');
				$passarr1->pincode = $this->input->post('pincode');
				$passarr1->email = $this->input->post('email');
				$passarr1->mobile = $this->input->post('mobile');
				if(isset($image1)){
					$passarr1->profile_photo = $image1;
				}
				if(isset($image2)){
					$passarr1->id_proof = $image2;
				}
				if(isset($image3)){
					$passarr1->address_proof = $image3;
				}
				$passarr1->emergency_name = $this->input->post('emergency_name');
				$passarr1->emergency_mobile = $this->input->post('emergency_mobile');
				$passarr1->emergency_email = $this->input->post('emergency_email');
				$passarr1->team = 52;
				$passarr1->status = 0;
				$this->db->insert('player',$passarr1);

				$data->success = 'Player created successfully!';
				}
				$user    = $this->user_model->get_user($_SESSION['user_id']);
				$data->user=$user;
				if($_SESSION['type_code']==2){
					$this->load->view('admin/sidebar'); 
					$this->load->view('admin/header',$data); 
				}else{
					$this->load->view('admin/sidebar'); 
					$this->load->view('admin/header',$data); 
				}
				$this->load->view('admin/add_player',$data); 
				$this->load->view('admin/footer'); 
			// }
		}else{
			//login page
			redirect('welcome/login');
			return;
		}
	}

	public function edit_player($id,$pid) {
		if($this->session->userdata('email')!=''){
			// create the data object
			$data = new stdClass();
			$passarr = new stdClass();
			$passarr1 = new stdClass();
			$passarr2 = new stdClass();
			$data->show=0;
			
			$player    = $this->user_model->get_player_by_id($id);
			$data->player=$player;
			
			// set validation rules
			if($_SESSION['type_code']==1){
				$this->form_validation->set_rules('fname', 'Name', 'trim|required');
				$this->form_validation->set_rules('email', 'Email', 'trim|required|valid_email');
				$this->form_validation->set_rules('mobile', 'Mobile', 'required|regex_match[/^[0-9]+$/]|min_length[10]');
				
				if($this->form_validation->run() == false){
				// validation not ok, send validation errors to the view
				}
				else{
					$data = new stdClass();
					
					$this->load->library('upload');
					$is_submit = $this->input->post('is_submit');

					if( isset($is_submit) && $is_submit == 1) {
					$userFile =  array(
					 'upload_path'     => "./upload/",
					 'upload_url'      => base_url()."/upload/",
					 'allowed_types'   => "jpg|png|jpeg|pdf|docx|xml|doc",
					 //'overwrite'       => TRUE,
					 'max_size'        => "100000KB",
					 'max_height'      => "17680",
					 'max_width'       => "10240"   
					);
					$this->upload->initialize($userFile);
					
					if($this->upload->do_upload('profile_photo')){
						$data_upload_files = $this->upload->data();
						$image1 = $data_upload_files[file_name];
						$isUpload1 = TRUE;//echo $isUpload;
					}
					if($this->upload->do_upload('id_proof')){
						$data_upload_files = $this->upload->data();
						$image2 = $data_upload_files[file_name];
						$isUpload2 = TRUE;//echo $isUpload;
					}
					if($this->upload->do_upload('address_proof')){
						$data_upload_files = $this->upload->data();
						$image3 = $data_upload_files[file_name];
						$isUpload3 = TRUE;//echo $isUpload;
					}
				
					//edit player login details
					if(isset($_POST['check'])){
						// set variables from the form
						$password = $this->input->post('password');
						$hpassword = $this->user_model->hash_pass($password);					
						$passarr->password = $hpassword;
					}

					$passarr->regno = $this->input->post('regno');
					$passarr->first_name = $this->input->post('fname');
					$passarr->last_name = $this->input->post('lname');
					$passarr->email = $this->input->post('email');
					$passarr->mobile = $this->input->post('mobile');
					$this->user_model->update_user($id,$passarr);

					$passarr1->regno = $this->input->post('regno');
					$passarr1->fname = $this->input->post('fname');
					$passarr1->mname = $this->input->post('mname');
					$passarr1->lname = $this->input->post('lname');
					$passarr1->dob = $this->input->post('dob');
					$passarr1->dor = $this->input->post('dor');
					$passarr1->address = $this->input->post('address');
					$passarr1->city = $this->input->post('city');
					$passarr1->state = $this->input->post('state');
					$passarr1->pincode = $this->input->post('pincode');
					$passarr1->email = $this->input->post('email');
					$passarr1->mobile = $this->input->post('mobile');
					if($isUpload1){$passarr1->profile_photo = $image1;}
					if($isUpload2){$passarr1->id_proof = $image2;}
					if($isUpload3){$passarr1->address_proof = $image3;}
					$passarr1->emergency_name = $this->input->post('emergency_name');
					$passarr1->emergency_mobile = $this->input->post('emergency_mobile');
					$passarr1->emergency_email = $this->input->post('emergency_email');
					$passarr1->status = 1;
					$this->user_model->update_player($id,$passarr1);
					
					$data->success = 'Player updated successfully!';
					$player    = $this->user_model->get_player_by_id($id);
					$data->player=$player;
					}
				}
			}
			if($_SESSION['type_code']==4){
				$this->form_validation->set_rules('state', 'State', 'trim|required');
				
				if($this->form_validation->run() == false){
				// validation not ok, send validation errors to the view
				}
				else{
					$data = new stdClass();
					
					$this->load->library('upload');
					$is_submit = $this->input->post('is_submit');

					if( isset($is_submit) && $is_submit == 1) {
						$userFile =  array(
						 'upload_path'     => "./upload/",
						 'upload_url'      => base_url()."/upload/",
						 'allowed_types'   => "jpg|png|jpeg|pdf|docx|xml|doc",
						 //'overwrite'       => TRUE,
						 'max_size'        => "100000KB",
						 'max_height'      => "17680",
						 'max_width'       => "10240"   
						);
						$this->upload->initialize($userFile);
						
						if($this->upload->do_upload('profile_photo')){
							$data_upload_files = $this->upload->data();
							$image1 = $data_upload_files[file_name];
							$isUpload1 = TRUE;//echo $isUpload;
						}
						if($this->upload->do_upload('id_proof')){
							$data_upload_files = $this->upload->data();
							$image2 = $data_upload_files[file_name];
							$isUpload2 = TRUE;//echo $isUpload;
						}
						if($this->upload->do_upload('address_proof')){
							$data_upload_files = $this->upload->data();
							$image3 = $data_upload_files[file_name];
							$isUpload3 = TRUE;//echo $isUpload;
						}
					
						//edit player login details
						if(isset($_POST['check'])){
							// set variables from the form
							$password = $this->input->post('password');
							$hpassword = $this->user_model->hash_pass($password);					
							$passarr2->password = $hpassword;
						}

						$passarr2->pid = $pid;
						$passarr2->user_id = $id;
						$passarr2->address = $this->input->post('address');
						$passarr2->city = $this->input->post('city');
						$passarr2->state = $this->input->post('state');
						$passarr2->pincode = $this->input->post('pincode');
						$passarr2->email = $this->input->post('email');
						$passarr2->mobile = $this->input->post('mobile');
						if($isUpload1){$passarr2->profile_photo = $image1;}
						if($isUpload2){$passarr2->id_proof = $image2;}
						if($isUpload3){$passarr2->address_proof = $image3;}
						$passarr2->emergency_name = $this->input->post('emergency_name');
						$passarr2->emergency_mobile = $this->input->post('emergency_mobile');
						$passarr2->emergency_email = $this->input->post('emergency_email');
						$this->user_model->update_player_temp($passarr2);
						
						$data->success = 'Player updated request has been sent successfully!';
						$player    = $this->user_model->get_player_by_id($id);
						$data->player=$player;
					}
				}
			}
			$user    = $this->user_model->get_user($_SESSION['user_id']);
			$data->user=$user;
			
			if($_SESSION['type_code']==4){
				$this->load->view('team/sidebar'); 
				$this->load->view('team/header',$data); 
			}else{
				$this->load->view('admin/sidebar'); 
				$this->load->view('admin/header',$data); 
			}
			$this->load->view('admin/edit_player',$data); 
			$this->load->view('admin/footer');
		}else{
			//login page
			redirect('welcome/login');
			return;
		}
	}
	
	public function approve_player_update($id,$upid) {
		if($this->session->userdata('email')!=''){
			// create the data object
			$data = new stdClass();
			$passarr = new stdClass();
			$passarr1 = new stdClass();
			$passarr2 = new stdClass();
			$data->show=0;
			
			$uplayer    = $this->user_model->get_player_update_by_id($id,$upid);
			foreach($uplayer as $key => $value){
				if(!empty($value)){
					$passarr1->$key = $value;
				}
			}
			//print_r($passarr1);
			$this->user_model->update_player($id,$passarr1);
			$this->user_model->delete_player_update($upid);

			$player    = $this->user_model->get_player_by_id($id);
			$data->player=$player;
			$user    = $this->user_model->get_user($_SESSION['user_id']);
			$data->user=$user;
			if($_SESSION['type_code']==4){
				$this->load->view('team/sidebar'); 
				$this->load->view('team/header',$data); 
			}else{
				$this->load->view('admin/sidebar'); 
				$this->load->view('admin/header',$data); 
			}
			$this->load->view('admin/player_detail',$data); 
			$this->load->view('admin/footer');
		}else{
			//login page
			redirect('welcome/login');
			return;
		}
	}
	
	public function player_detail($id) {
		if($this->session->userdata('email')!=''){
			// create the data object
			$data = new stdClass();
			$passarr = new stdClass();
			$passarr1 = new stdClass();
			$passarr2 = new stdClass();
			$data->show=0;
			
			$player    = $this->user_model->get_player_by_id($id);
			$data->player=$player;
			$user    = $this->user_model->get_user($_SESSION['user_id']);
			$data->user=$user;
			if($_SESSION['type_code']==4){
				$this->load->view('team/sidebar'); 
				$this->load->view('team/header',$data); 
			}else{
				$this->load->view('admin/sidebar'); 
				$this->load->view('admin/header',$data); 
			}
			$this->load->view('admin/player_detail',$data); 
			$this->load->view('admin/footer');
		}else{
			//login page
			redirect('welcome/login');
			return;
		}
	}
	
	public function player_update_detail($id,$upid) {
		if($this->session->userdata('email')!=''){
			// create the data object
			$data = new stdClass();
			$passarr = new stdClass();
			$passarr1 = new stdClass();
			$passarr2 = new stdClass();
			$data->show=0;
			
			$player    = $this->user_model->get_player_update_by_id($id,$upid);
			$data->player=$player;
			$user    = $this->user_model->get_user($_SESSION['user_id']);
			$data->user=$user;
			if($_SESSION['type_code']==4){
				$this->load->view('team/sidebar'); 
				$this->load->view('team/header',$data); 
			}else{
				$this->load->view('admin/sidebar'); 
				$this->load->view('admin/header',$data); 
			}
			$this->load->view('admin/player_update_detail',$data); 
			$this->load->view('admin/footer');
		}else{
			//login page
			redirect('welcome/login');
			return;
		}
	}
	
	public function player_detail_website($id) {
			// create the data object
			$data = new stdClass();
			$passarr = new stdClass();
			$passarr1 = new stdClass();
			$passarr2 = new stdClass();
			$data->show=0;
			
			$player    = $this->user_model->get_player_by_id($id);
			$data->player=$player;
			$user    = $this->user_model->get_user($_SESSION['user_id']);
			$data->user=$user;
			$this->load->view('website/player_detail_website',$data); 
	}
	
	public function dashboard_website() {
			// create the data object
			$data = new stdClass();
			$club_count    = $this->user_model->get_club_count();
			$team_count    = $this->user_model->get_team_count();
			$player_count    = $this->user_model->get_player_count();
			$data->club_count=$club_count;
			$data->team_count=$team_count;
			$data->player_count=$player_count;
			$this->load->view('website/dashboard_website',$data); 
	}
	
	public function delete_player($id) {
		if($this->session->userdata('email')!=''){
			// create the data object
			$data = new stdClass();
			$passarr = new stdClass();
			$data->show=0;
			
			$passarr->is_delete = 1;
			$this->user_model->update_user($id,$passarr);
			$this->user_model->update_player($id,$passarr);
			redirect('welcome/view_player');
		}else{
			//login page
			redirect('welcome/login');
			return;
		}
	
	}
	
	public function view_coach($sort_by = 'fname', $sort_order = 'asc', $offset = 0) {
		if($this->session->userdata('email')!=''){
			
			if(isset($_POST['clear_filter'])){
				unset($_SESSION['search']);
				$search = "";
			}
			
			if(isset($_POST['limit'])){
				$_SESSION['limit'] = $this->input->post('limit');
				$limit = $_SESSION['limit'];
			}elseif(isset($_SESSION['limit'])){
				$limit = $_SESSION['limit'];
			}else {
				$limit = 100;
			}
			if(isset($_POST['search']) || isset($_SESSION['search'])){
				$_SESSION['search'] = $this->input->post('search');
				$search = $_SESSION['search'];
			} else {
				$search = "";
			}
			
			$data['fields'] = array(
				'first_name' => 'Name'
			);
			$results = $this->user_model->view_coach($search, $limit, $offset, $sort_by, $sort_order);
			
			$data['found'] = $results['rows'];
			$data['num_results'] = $results['num_rows'];
			
			// pagination
			$this->load->library('pagination');
			$config = array();
			$config['base_url'] = site_url("welcome/view_coach/$sort_by/$sort_order");
			$config['total_rows'] = $data['num_results'];
			$config['per_page'] = $limit;
			$config['uri_segment'] = 5;
			$this->pagination->initialize($config);
			$data['pagination'] = $this->pagination->create_links();
			
			$data['sort_by'] = $sort_by;
			$data['sort_order'] = $sort_order;
			$user    = $this->user_model->get_user($_SESSION['user_id']);
			$data['user']=$user;
			if($_SESSION['type_code'] == 2){
				$this->load->view('admin2/sidebar'); 
				$this->load->view('admin2/header',$data);
			}elseif($_SESSION['type_code'] == 3){
				$this->load->view('editor1/sidebar'); 
				$this->load->view('editor1/header',$data);
			}else{
				$this->load->view('admin/sidebar'); 
				$this->load->view('admin/header',$data);
			}	
			$this->load->view('admin/view_coach',$data); 
			$this->load->view('admin/footer');
		}else{
			//login page
			redirect('welcome/login');
			return;
		}
	}

	public function add_coach() {
		if($this->session->userdata('email')!=''){
			$data = new stdClass();

			$user    = $this->user_model->get_user($_SESSION['user_id']);
			$data->user=$user;
			if($_SESSION['type_code']==1){
				$this->load->view('admin/sidebar'); 
				$this->load->view('admin/header',$data); 
			}else{
				$this->load->view('admin/sidebar'); 
				$this->load->view('admin/header',$data); 
			}
			$this->load->view('admin/add_coach',$data); 
			$this->load->view('admin/footer');
		}else{
			//login page
			redirect('welcome/login');
			return;
		}
	}
	
	public function create_coach() {
		if($this->session->userdata('email')!=''){
			// create the data object
			$data = new stdClass();
			$passarr = new stdClass();
			$passarr1 = new stdClass();
			$passarr2 = new stdClass();
			$data->show=0;

			// set validation rules
			$this->form_validation->set_rules('fname', 'Name', 'trim|required');
			$this->form_validation->set_rules('email', 'Email', 'trim|required|valid_email');
			$this->form_validation->set_rules('mobile', 'Mobile', 'required|regex_match[/^[0-9]+$/]|min_length[10]');
			$this->form_validation->set_rules('regno', 'Registration No.', 'trim|required|is_unique[users.username]');
			
			if($this->form_validation->run() == false){
				
			// validation not ok, send validation errors to the view
			$user    = $this->user_model->get_user($_SESSION['user_id']);
			$data->user=$user;
			if($_SESSION['type_code']==2){
				$this->load->view('admin/sidebar'); 
				$this->load->view('admin/header',$data); 
			}else{
				$this->load->view('admin/sidebar'); 
				$this->load->view('admin/header',$data); 
			}
			$this->load->view('admin/add_coach'); 
			$this->load->view('admin/footer'); 
				
			}else{
			
				$passarr->type_code = 6;
				$passarr->regno = $this->input->post('regno');
				$passarr->first_name = $this->input->post('fname');
				$passarr->last_name = $this->input->post('lname');
				$passarr->email = $this->input->post('email');
				$passarr->mobile = $this->input->post('mobile');
				$passarr->username = $this->input->post('regno');
				$password = $this->input->post('password');
				$hpassword = $this->user_model->hash_pass($password);					
				$passarr->password = $hpassword;
				
				$this->db->insert('users',$passarr);
				$userid = $this->db->insert_id();
			
				$passarr1->user_id = $userid;
				$passarr1->regno = $this->input->post('regno');
				$passarr1->fname = $this->input->post('fname');
				$passarr1->mname = $this->input->post('mname');
				$passarr1->lname = $this->input->post('lname');
				$passarr1->dob = $this->input->post('dob');
				$passarr1->dor = $this->input->post('dor');
				$passarr1->address = $this->input->post('address');
				$passarr1->city = $this->input->post('city');
				$passarr1->state = $this->input->post('state');
				$passarr1->pincode = $this->input->post('pincode');
				$passarr1->email = $this->input->post('email');
				$passarr1->mobile = $this->input->post('mobile');
				$this->db->insert('coach',$passarr1);

				$data = new stdClass();

				$user    = $this->user_model->get_user($_SESSION['user_id']);
				$data->user=$user;
				$data->success = 'Coach created successfully!';
				if($_SESSION['type_code']==2){
					$this->load->view('admin/sidebar'); 
					$this->load->view('admin/header',$data); 
				}else{
					$this->load->view('admin/sidebar'); 
					$this->load->view('admin/header',$data); 
				}
				$this->load->view('admin/add_coach',$data); 
				$this->load->view('admin/footer'); 
			}
		}else{
			//login page
			redirect('welcome/login');
			return;
		}
	}

	public function edit_coach($id) {
		if($this->session->userdata('email')!=''){
			// create the data object
			$data = new stdClass();
			$passarr = new stdClass();
			$passarr1 = new stdClass();
			$data->show=0;
			
			$coach    = $this->user_model->get_coach_by_id($id);
			$data->coach=$coach;
			
			// set validation rules
			$this->form_validation->set_rules('fname', 'Name', 'trim|required');
			$this->form_validation->set_rules('email', 'Email', 'trim|required|valid_email');
			$this->form_validation->set_rules('mobile', 'Mobile', 'required|regex_match[/^[0-9]+$/]|min_length[10]');
			
			if($this->form_validation->run() == false){
			// validation not ok, send validation errors to the view
			}
			else{
			
				//edit player login details
				if(isset($_POST['check'])){
					// set variables from the form
					$password = $this->input->post('password');
					$hpassword = $this->user_model->hash_pass($password);					
					$passarr->password = $hpassword;
				}

				$passarr->regno = $this->input->post('regno');
				$passarr->first_name = $this->input->post('fname');
				$passarr->last_name = $this->input->post('lname');
				$passarr->email = $this->input->post('email');
				$passarr->mobile = $this->input->post('mobile');
				$this->user_model->update_user($id,$passarr);

				$passarr1->regno = $this->input->post('regno');
				$passarr1->fname = $this->input->post('fname');
				$passarr1->mname = $this->input->post('mname');
				$passarr1->lname = $this->input->post('lname');
				$passarr1->dob = $this->input->post('dob');
				$passarr1->dor = $this->input->post('dor');
				$passarr1->address = $this->input->post('address');
				$passarr1->city = $this->input->post('city');
				$passarr1->state = $this->input->post('state');
				$passarr1->pincode = $this->input->post('pincode');
				$passarr1->email = $this->input->post('email');
				$passarr1->mobile = $this->input->post('mobile');
				$this->user_model->update_coach($id,$passarr1);
				
				$data->success = 'Coach updated successfully!';
				$coach    = $this->user_model->get_coach_by_id($id);
				$data->coach=$coach;
			}
			
			$user    = $this->user_model->get_user($_SESSION['user_id']);
			$data->user=$user;
			
			if($_SESSION['type_code']==2){
				$this->load->view('admin/sidebar'); 
				$this->load->view('admin/header',$data); 
			}else{
				$this->load->view('admin/sidebar'); 
				$this->load->view('admin/header',$data); 
			}
			$this->load->view('admin/edit_coach',$data); 
			$this->load->view('admin/footer');
		}else{
			//login page
			redirect('welcome/login');
			return;
		}
	}
	
	public function coach_detail($id) {
		if($this->session->userdata('email')!=''){
			// create the data object
			$data = new stdClass();
			$passarr = new stdClass();
			$passarr1 = new stdClass();
			$passarr2 = new stdClass();
			$data->show=0;
			
			$coach    = $this->user_model->get_coach_by_id($id);
			$data->coach=$coach;
			$user    = $this->user_model->get_user($_SESSION['user_id']);
			$data->user=$user;
			if($_SESSION['type_code']==4){
				$this->load->view('team/sidebar'); 
				$this->load->view('team/header',$data); 
			}else{
				$this->load->view('admin/sidebar'); 
				$this->load->view('admin/header',$data); 
			}
			$this->load->view('admin/coach_detail',$data); 
			$this->load->view('admin/footer');
		}else{
			//login page
			redirect('welcome/login');
			return;
		}
	}
	
	public function delete_coach($id) {
		if($this->session->userdata('email')!=''){
			// create the data object
			$data = new stdClass();
			$passarr = new stdClass();
			$data->show=0;
			
			$passarr->is_delete = 1;
			$this->user_model->update_user($id,$passarr);
			$this->user_model->update_coach($id,$passarr);
			redirect('welcome/view_coach');
		}else{
			//login page
			redirect('welcome/login');
			return;
		}
	
	}
	
	public function send_birthday_msg($uid) 
	{
		/*send message code*/
		$ak = $this->user_model->get_auth_key($_SESSION['client_id']);
		$sid = $this->user_model->get_sender_id($_SESSION['client_id']);
		$clientname = $this->user_model->get_client_name($_SESSION['client_id']);
		
		$user = $this->user_model->get_user($uid);
		
		$msg="".$clientname->first_name." ".$clientname->last_name." wishes ".$user->first_name."  ".$user->last_name." a very Happy Birthday and Many Happy Returns of this Day";
		$authKey = $ak;
		$senderId = $sid;
		$route = "4";
		$postData = array(
			'authkey' => $authKey,
			'mobiles' => $user->mobile,
			'message' => $msg,
			'sender' => $senderId,
			'route' => $route,
			'country'=>'0'
		);
		$url="https://control.msg91.com/api/sendhttp.php";
		$ch = curl_init();
			curl_setopt_array($ch, array(
			CURLOPT_URL => $url,
			CURLOPT_RETURNTRANSFER => true,
			CURLOPT_POST => true,
			CURLOPT_POSTFIELDS => $postData
		));
		curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 0);
		curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, 0);
		$output = curl_exec($ch);
		 if(curl_errno($ch))
		{
			echo 'error:' . curl_error($ch);
		}
		curl_close($ch);
		
		/*end send message*/
		
		redirect('/');
	}

	public function select_sms_club($sort_by = 'name', $sort_order = 'asc', $offset = 0) {
		if($this->session->userdata('email')!=''){
		
			if(isset($_POST['clear_filter'])){
				unset($_SESSION['search']);
				unset($_SESSION['limit']);
				$search = '';
				$limit = 100;
			}
			
			if(isset($_POST['limit'])){
				$_SESSION['limit'] = $this->input->post('limit');
				$limit = $_SESSION['limit'];
			}elseif(isset($_SESSION['limit'])){
				$limit = $_SESSION['limit'];
			}else {
				$limit = 100;
			}
			if(isset($_POST['search']) || isset($_SESSION['search'])){
				$_SESSION['search'] = $this->input->post('search');
				$search = $_SESSION['search'];
			} else {
				$search = '';
			}
			$data['fields'] = array(
				'name' => 'Name'
			);
			$results = $this->user_model->select_sms_club($search, $limit, $offset, $sort_by, $sort_order);
			
			$data['found'] = $results['rows'];
			$data['num_results'] = $results['num_rows'];
			
			// pagination
			$this->load->library('pagination');
			$config = array();
			$config['base_url'] = site_url("welcome/select_sms_club/$sort_by/$sort_order");
			$config['total_rows'] = $data['num_results'];
			$config['per_page'] = $limit;
			$config['uri_segment'] = 5;
			$this->pagination->initialize($config);
			$data['pagination'] = $this->pagination->create_links();
			
			$data['sort_by'] = $sort_by;
			$data['sort_order'] = $sort_order;
			
			$user    = $this->user_model->get_user($_SESSION['user_id']);
			$data['user']=$user;
			$this->load->view('admin/sidebar'); 
			$this->load->view('admin/header',$data); 
			$this->load->view('admin/sms_step1club',$data); 
			$this->load->view('admin/footer');
			
		}else{
			//login page
			redirect('welcome/login');
			return;
		}
	}
	
	public function select_sms_team($sort_by = 'name', $sort_order = 'asc', $offset = 0) {
		if($this->session->userdata('email')!=''){
		
			if(isset($_POST['clear_filter'])){
				unset($_SESSION['search']);
				unset($_SESSION['limit']);
				$search = '';
				$limit = 100;
			}
			
			if(isset($_POST['limit'])){
				$_SESSION['limit'] = $this->input->post('limit');
				$limit = $_SESSION['limit'];
			}elseif(isset($_SESSION['limit'])){
				$limit = $_SESSION['limit'];
			}else {
				$limit = 100;
			}
			if(isset($_POST['search']) || isset($_SESSION['search'])){
				$_SESSION['search'] = $this->input->post('search');
				$search = $_SESSION['search'];
			} else {
				$search = '';
			}
			$data['fields'] = array(
				'name' => 'Name'
			);
			$results = $this->user_model->select_sms_team($search, $limit, $offset, $sort_by, $sort_order);
			
			$data['found'] = $results['rows'];
			$data['num_results'] = $results['num_rows'];
			
			// pagination
			$this->load->library('pagination');
			$config = array();
			$config['base_url'] = site_url("welcome/select_sms_team/$sort_by/$sort_order");
			$config['total_rows'] = $data['num_results'];
			$config['per_page'] = $limit;
			$config['uri_segment'] = 5;
			$this->pagination->initialize($config);
			$data['pagination'] = $this->pagination->create_links();
			
			$data['sort_by'] = $sort_by;
			$data['sort_order'] = $sort_order;
			
			$user    = $this->user_model->get_user($_SESSION['user_id']);
			$data['user']=$user;
			$this->load->view('admin/sidebar'); 
			$this->load->view('admin/header',$data); 
			$this->load->view('admin/sms_step1team',$data); 
			$this->load->view('admin/footer');
			
		}else{
			//login page
			redirect('welcome/login');
			return;
		}
	}
	
	public function select_sms_player($sort_by = 'name', $sort_order = 'asc', $offset = 0) {
		if($this->session->userdata('email')!=''){
		
			if(isset($_POST['clear_filter'])){
				unset($_SESSION['search']);
				unset($_SESSION['limit']);
				$search = '';
				$limit = 100;
			}
			
			if(isset($_POST['limit'])){
				$_SESSION['limit'] = $this->input->post('limit');
				$limit = $_SESSION['limit'];
			}elseif(isset($_SESSION['limit'])){
				$limit = $_SESSION['limit'];
			}else {
				$limit = 100;
			}
			if(isset($_POST['search']) || isset($_SESSION['search'])){
				$_SESSION['search'] = $this->input->post('search');
				$search = $_SESSION['search'];
			} else {
				$search = '';
			}
			$data['fields'] = array(
				'name' => 'Name'
			);
			$results = $this->user_model->select_sms_player($search, $limit, $offset, $sort_by, $sort_order);
			
			$data['found'] = $results['rows'];
			$data['num_results'] = $results['num_rows'];
			
			// pagination
			$this->load->library('pagination');
			$config = array();
			$config['base_url'] = site_url("welcome/select_sms_player/$sort_by/$sort_order");
			$config['total_rows'] = $data['num_results'];
			$config['per_page'] = $limit;
			$config['uri_segment'] = 5;
			$this->pagination->initialize($config);
			$data['pagination'] = $this->pagination->create_links();
			
			$data['sort_by'] = $sort_by;
			$data['sort_order'] = $sort_order;
			
			$user    = $this->user_model->get_user($_SESSION['user_id']);
			$data['user']=$user;
			$this->load->view('admin/sidebar'); 
			$this->load->view('admin/header',$data); 
			$this->load->view('admin/sms_step1player',$data); 
			$this->load->view('admin/footer');
			
		}else{
			//login page
			redirect('welcome/login');
			return;
		}
	}
	
	public function select_sms_member($sort_by = 'name', $sort_order = 'asc', $offset = 0) {
		if($this->session->userdata('email')!=''){
		
			if(isset($_POST['clear_filter'])){
				unset($_SESSION['search']);
				unset($_SESSION['limit']);
				$search = '';
				$limit = 100;
			}
			
			if(isset($_POST['limit'])){
				$_SESSION['limit'] = $this->input->post('limit');
				$limit = $_SESSION['limit'];
			}elseif(isset($_SESSION['limit'])){
				$limit = $_SESSION['limit'];
			}else {
				$limit = 100;
			}
			if(isset($_POST['search']) || isset($_SESSION['search'])){
				$_SESSION['search'] = $this->input->post('search');
				$search = $_SESSION['search'];
			} else {
				$search = '';
			}
			$data['fields'] = array(
				'name' => 'Name'
			);
			$results = $this->user_model->select_sms_member($search, $limit, $offset, $sort_by, $sort_order);
			
			$data['found'] = $results['rows'];
			$data['num_results'] = $results['num_rows'];
			
			// pagination
			$this->load->library('pagination');
			$config = array();
			$config['base_url'] = site_url("welcome/select_sms_member/$sort_by/$sort_order");
			$config['total_rows'] = $data['num_results'];
			$config['per_page'] = $limit;
			$config['uri_segment'] = 5;
			$this->pagination->initialize($config);
			$data['pagination'] = $this->pagination->create_links();
			
			$data['sort_by'] = $sort_by;
			$data['sort_order'] = $sort_order;
			
			$user    = $this->user_model->get_user($_SESSION['user_id']);
			$data['user']=$user;
			$this->load->view('admin/sidebar'); 
			$this->load->view('admin/header',$data); 
			$this->load->view('admin/sms_step1member',$data); 
			$this->load->view('admin/footer');
			
		}else{
			//login page
			redirect('welcome/login');
			return;
		}
	}
	
	public function view_smsclub() {
		if($this->session->userdata('email')!=''){
		
			if(isset($_POST['checkid'])){
			
			$user_id = $this->input->post('checkid');
			$data['user_id'] = $user_id;
			
			$user    = $this->user_model->get_user($_SESSION['user_id']);
			$data['user']=$user;
			$this->load->view('admin/sidebar'); 
			$this->load->view('admin/header',$data); 
			$this->load->view('admin/sms',$data); 
			$this->load->view('admin/footer');
			} else {
			 redirect('welcome/select_sms_club');
			}
		}else{
			//login page
			redirect('welcome/login');
			return;
		}
	}

	public function view_smsteam() {
		if($this->session->userdata('email')!=''){
		
			if(isset($_POST['checkid'])){
			
			$user_id = $this->input->post('checkid');
			$data['user_id'] = $user_id;
			
			$user    = $this->user_model->get_user($_SESSION['user_id']);
			$data['user']=$user;
			$this->load->view('admin/sidebar'); 
			$this->load->view('admin/header',$data); 
			$this->load->view('admin/sms',$data); 
			$this->load->view('admin/footer');
			} else {
			 redirect('welcome/select_sms_team');
			}
		}else{
			//login page
			redirect('welcome/login');
			return;
		}
	}

	public function view_smsplayer() {
		if($this->session->userdata('email')!=''){
		
			if(isset($_POST['checkid'])){
			
			$user_id = $this->input->post('checkid');
			$data['user_id'] = $user_id;
			
			$user    = $this->user_model->get_user($_SESSION['user_id']);
			$data['user']=$user;
			$this->load->view('admin/sidebar'); 
			$this->load->view('admin/header',$data); 
			$this->load->view('admin/sms',$data); 
			$this->load->view('admin/footer');
			} else {
			 redirect('welcome/select_sms_player');
			}
		}else{
			//login page
			redirect('welcome/login');
			return;
		}
	}

	public function view_smsmember() {
		if($this->session->userdata('email')!=''){
		
			if(isset($_POST['checkid'])){
			
			$user_id = $this->input->post('checkid');
			$data['user_id'] = $user_id;
			
			$user    = $this->user_model->get_user($_SESSION['user_id']);
			$data['user']=$user;
			$this->load->view('admin/sidebar'); 
			$this->load->view('admin/header',$data); 
			$this->load->view('admin/sms',$data); 
			$this->load->view('admin/footer');
			} else {
			 redirect('welcome/select_sms_member');
			}
		}else{
			//login page
			redirect('welcome/login');
			return;
		}
	}

	public function custom_sms_template() {
		if($this->session->userdata('email')!=''){
		
			$this->form_validation->set_rules('message', 'Message', 'required');
			
			if($this->form_validation->run() == false){
				$userid = $this->input->post('sms_checksend');
				$_SESSION['sms_userid'] = $userid;
				$data['user_id'] = $_SESSION['sms_userid'];
				$user    = $this->user_model->get_user($_SESSION['user_id']);
				$data['user']=$user;
				$this->load->view('admin/sidebar'); 
				$this->load->view('admin/header',$data); 
				$this->load->view('admin/sms',$data); 
				$this->load->view('admin/footer');
			}
			else{
				
				$userid = $this->input->post('sms_checksend');
				$_SESSION['sms_userid'] = $userid;
				$data['user_id'] = $_SESSION['sms_userid'];
				
				$ak = $this->user_model->get_auth_key(1);
				$sid = $this->user_model->get_sender_id(1);
				
				for($i=0;$i<count($userid);$i++){
				/*send message code*/
				$mobileNo = $this->user_model->get_mobile_from_user_id($userid[$i]);
				$msg = $this->input->post('message');
				$authKey = $ak;
				$senderId = $sid;
				$route = "4";
				$postData = array(
					'authkey' => $authKey,
					'mobiles' => $mobileNo,
					'message' => $msg,
					'sender' => $senderId,
					'route' => $route,
					'country'=>'0'
				);
				$url="https://control.msg91.com/api/sendhttp.php";
				$ch = curl_init();
					curl_setopt_array($ch, array(
					CURLOPT_URL => $url,
					CURLOPT_RETURNTRANSFER => true,
					CURLOPT_POST => true,
					CURLOPT_POSTFIELDS => $postData
				));
				curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 0);
				curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, 0);
				$output = curl_exec($ch);
				 if(curl_errno($ch))
				{
					echo 'error:' . curl_error($ch);
				}
				curl_close($ch);
				
				/*end send message*/
				}
				
				$user    = $this->user_model->get_user($_SESSION['user_id']);
				$data['user']=$user;
				$data['success'] = 'SMS sent successfully!';
				$data['sent'] = 'Go back to send more SMS';
				$this->load->view('admin/sidebar'); 
				$this->load->view('admin/header',$data); 
				$this->load->view('admin/sms',$data); 
				$this->load->view('admin/footer');
				
				unset($_SESSION['sms_userid']);
			}
		}else{
			//login page
			redirect('welcome/login');
			return;
		}
	}

	/**
	 * logout function.
	 * 
	 * @access public
	 * @return void
	 */
	public function logout() {
		// create the data object
		$data = new stdClass();
		$data->show=1;
		if(isset($_SESSION['logged_in']) && $_SESSION['logged_in'] === true){
			
			// remove session datas
			$array_items = array('user_id', 'email', 'logged_in', 'type_code');
			$this->session->unset_userdata($array_items);
			$this->session->sess_destroy();
			
			$data->show=0;
			// user logout ok
			$data->success = 'Logged out successfully!';
				
			// send error to the view
			$this->load->view('login', $data);
			
		} else {
			// there user was not logged in, we cannot logged him out,
			// redirect him to site root
			redirect('/');
		}
	}
	
	// callback function
	public function customAlpha($str) 
	{
		return ( ! preg_match("/^([-a-z&_. '])+$/i", $str)) ? FALSE : TRUE;
	}
	
	public function GetClubName(){
        $keyword=$this->input->post('keyword');
        $data=$this->user_model->GetClubRow($keyword);        
        echo json_encode($data);
    }
	public function GetMemberName(){
        $keyword=$this->input->post('keyword');
        $data=$this->user_model->GetMemberRow($keyword);        
        echo json_encode($data);
    }
	public function GetPlayerName(){
        $keyword=$this->input->post('keyword');
        $data=$this->user_model->GetPlayerRow($keyword);        
        echo json_encode($data);
    }
}
