<?php
defined('BASEPATH') OR exit('No direct script access allowed');

/**
 * User_model class.
 * 
 * @extends CI_Model
 */
class User_model extends CI_Model {

	/**
	 * __construct function.
	 * 
	 * @access public
	 * @return void
	 */
	public function __construct() {
		
		parent::__construct();
		$this->load->database();
		
	}

	/**
	 * resolve_user_login function.
	 * 
	 * @access public
	 * @param mixed $email
	 * @param mixed $password
	 * @return bool true on success, false on failure
	 */
	 public function resolve_user_login($email, $password) {
		
		$this->db->select('password');
		$this->db->from('users');
		$this->db->where('username', $email);
		$hash = $this->db->get()->row('password');
		$hpassword = md5($password);
		if($hash==$hpassword){
		$result=1;
		} else {
		$result=0;		
		}
		return $result;
		
	} 
	
	/**
	 * hash_pass function.
	 * 
	 * @access private
	 * @param mixed $password
	 * @return string|bool could be a string on success, or bool false on failure
	 */
	public function hash_pass($password) {
		
		$hashpass = md5($password);
		
		return $hashpass;
		
	}
	
	public function get_user_id_from_email($email) {
		$this->db->select('id');
		$this->db->from('users');
		$this->db->where('email', $email);
		return $this->db->get()->row('id');
	}
	
	public function get_user_id_from_username($uname) {
		$this->db->select('id');
		$this->db->from('users');
		$this->db->where('username', $uname);
		return $this->db->get()->row('id');
	}
	
	public function get_user($user_id) {
		
		$this->db->from('users');
		$this->db->where('id', $user_id);
		return $this->db->get()->row();
		
	}
	
	public function get_club_count() {
		
		$this->db->select('COUNT(*)');
		$this->db->from('club');
		$this->db->where('is_delete',0);
		return $this->db->get()->row('COUNT(*)');
	}

	public function get_team_count() {
		
		$this->db->select('COUNT(*)');
		$this->db->from('team');
		$this->db->where('is_delete',0);
		return $this->db->get()->row('COUNT(*)');
	}

	public function get_player_count() {
		
		$this->db->select('COUNT(*)');
		$this->db->from('player');
		$this->db->where('is_delete',0);
		return $this->db->get()->row('COUNT(*)');
	}

	public function get_member_count() {
		
		$this->db->select('COUNT(*)');
		$this->db->from('member');
		$this->db->where('is_delete',0);
		return $this->db->get()->row('COUNT(*)');
	}

	public function get_transfer_request() {
		
		$this->db->select('transfer_request.*,player.fname as pname');
		$this->db->from('transfer_request');
		$this->db->join('player','player.pid=transfer_request.pid');
		$this->db->where('transfer_request.status', 0);
		return $this->db->get();
		
	}
	
	public function approve_transfer_request($id,$passarr) {
		
		$this->db->where('id', $id);
		$this->db->update('transfer_request',$passarr);
		return $this->db->affected_rows();
		
	}
	
	public function reject_transfer_request($id,$passarr) {
		
		$this->db->where('id', $id);
		$this->db->update('transfer_request',$passarr);
		return $this->db->affected_rows();
		
	}
	
	public function get_club() {
		
		$this->db->select('club.*');
		$this->db->from('club');
		return $this->db->get();
		
	}
	
	public function get_club_by_id($id) {
		
		$this->db->select('users.id,users.password,club.*');
		$this->db->from('users');
		$this->db->join('club','club.user_id=users.id');
		$this->db->where('users.type_code',2);
		$this->db->where('users.id',$id);
		$result = $this->db->get()->row();
		return $result;
	}
	
	public function get_clubteams($cid) {
		
		$this->db->select('name');
		$this->db->from('team');
		$this->db->where('club',$cid);
		$result = $this->db->get();
		return $result;
	}
	
	public function get_teamplayers($tid) {
		
		$this->db->select('user_id,regno,fname,mname,lname,dob,mobile,email,profile_photo,address,city,state');
		$this->db->from('player');
		$this->db->where('team',$tid);
		$result = $this->db->get();
		return $result;
	}
	
	public function get_committeemembers($id) {
		
		$this->db->select('fname,mname,lname,position');
		$this->db->from('committee');
		$this->db->join('membertocommittee','membertocommittee.cid=committee.id');
		$this->db->join('member','member.mid=membertocommittee.mid');
		$this->db->where('committee.id',$id);
		$result = $this->db->get();
		return $result;
	}
	
	public function get_team_by_id($id) {
		
		$this->db->select('users.id,users.password,team.*,teamtoadmin.manager_name,teamtoadmin.manager_email,teamtoadmin.manager_mobile,teamtoadmin.coach_name,teamtoadmin.coach_email,teamtoadmin.coach_mobile');
		$this->db->from('users');
		$this->db->join('team','team.user_id=users.id');
		$this->db->join('teamtoadmin','teamtoadmin.tid=team.tid');
		$this->db->where('users.type_code',4);
		$this->db->where('users.id',$id);
		$result = $this->db->get()->row();
		return $result;
	}
	
	public function get_team_name($tid) {
		$this->db->select('name');
		$this->db->from('team');
		$this->db->where('tid', $tid);
		return $this->db->get()->row('name');
	}
	
	public function get_member_by_id($id) {
		
		$this->db->select('users.id,users.password,member.*');
		$this->db->from('users');
		$this->db->join('member','member.user_id=users.id');
		$this->db->where('users.type_code',3);
		$this->db->where('users.id',$id);
		$result = $this->db->get()->row();
		return $result;
	}
	
	public function get_committee_by_id($id) {
		
		$this->db->from('committee');
		$this->db->where('id',$id);
		$result = $this->db->get()->row();
		return $result;
	}
	
	public function get_player_userid($id) {
		
		$this->db->select('user_id');
		$this->db->from('player');
		$this->db->where('pid',$id);
		$result = $this->db->get()->row('user_id');
		return $result;
	}
	
	public function get_player_by_id($id) {
		
		$this->db->select('users.id,users.password,player.*');
		$this->db->from('users');
		$this->db->join('player','player.user_id=users.id');
		$this->db->where('users.type_code',5);
		$this->db->where('users.id',$id);
		$result = $this->db->get()->row();
		return $result;
	}
	
	public function get_player_update_by_id($id,$upid) {
		
		$this->db->select('player.dob,player.dor,player.regno,player.fname,player.mname,player.lname,player_update.address,player_update.city,player_update.state,player_update.pincode,player_update.mobile,player_update.email,player_update.profile_photo,player_update.id_proof,player_update.address_proof,player_update.emergency_name,player_update.emergency_mobile,player_update.emergency_email');
		$this->db->from('users');
		$this->db->join('player_update','player_update.user_id=users.id');
		$this->db->join('player','player.user_id=users.id');
		$this->db->where('users.type_code',5);
		$this->db->where('player_update.id',$upid);
		$result = $this->db->get()->row();
		return $result;
	}
	
	public function get_coach_by_id($id) {
		
		$this->db->select('users.id,users.password,coach.*');
		$this->db->from('users');
		$this->db->join('coach','coach.user_id=users.id');
		$this->db->where('users.type_code',6);
		$this->db->where('users.id',$id);
		$result = $this->db->get()->row();
		return $result;
	}
	
	public function get_player_by_regno($regno) {
		
		$this->db->from('player');
		$this->db->where('player.regno',$regno);
		//$this->db->where('player.status',0);
		$result = $this->db->get()->row();
		return $result;
	}
	
	public function get_member_by_regno($regno) {
		
		$this->db->from('member');
		$this->db->where('member.regno',$regno);
		//$this->db->where('player.status',0);
		$result = $this->db->get()->row();
		return $result;
	}
	
	public function update_user($id,$passarr) {
		$this->db->where('id',$id );
		$this->db->update('users', $passarr); 
		return $this->db->affected_rows();
	}
	
	public function update_club($id,$passarr) {
		$this->db->where('user_id',$id );
		$this->db->update('club', $passarr); 
		return $this->db->affected_rows();
	}
	
	public function update_team($id,$passarr) {
		$this->db->where('user_id',$id );
		$this->db->update('team', $passarr); 
		return $this->db->affected_rows();
	}
	
	public function update_team_admin($id,$passarr) {
		$this->db->where('tid',$id );
		$this->db->update('teamtoadmin', $passarr); 
		return $this->db->affected_rows();
	}
	
	public function update_member($id,$passarr) {
		$this->db->where('user_id',$id );
		$this->db->update('member', $passarr); 
		return $this->db->affected_rows();
	}
	
	public function update_committee($id,$passarr) {
		$this->db->where('id',$id );
		$this->db->update('committee', $passarr); 
		return $this->db->affected_rows();
	}
	
	public function update_player($id,$passarr) {
		$this->db->where('user_id',$id );
		$this->db->update('player', $passarr); 
		return $this->db->affected_rows();
	}
	
	public function delete_player_update($upid) {
		$this->db->where('id',$upid );
		$this->db->update('player_update', array('status' => 1)); 
		return $this->db->affected_rows();
	}
	
	public function update_player_temp($passarr) {
		$this->db->insert('player_update', $passarr); 
		return $this->db->affected_rows();
	}
	
	public function update_coach($id,$passarr) {
		$this->db->where('user_id',$id );
		$this->db->update('coach', $passarr); 
		return $this->db->affected_rows();
	}
	
	public function view_club($search, $limit, $offset, $sort_by, $sort_order) {

		
		$sort_order = ($sort_order == 'desc') ? 'desc' : 'asc';
		$sort_columns = array('regno','name');
		$sort_by = (in_array($sort_by, $sort_columns)) ? $sort_by : 'regno';
		
		// result query
		
		$q = $this->db->select()
			 ->from('club')
			 //->where('type_code',2)
			 ->where('is_delete',0)
			  ->group_start()
			 ->like(array('club.name'=>$search))
			 //->or_like(array('users.last_name'=>$search))
			 ->group_end()
			 ->limit($limit, $offset)
			 ->group_by('club.cid')
			 ->order_by($sort_by, $sort_order);
		 $ret['rows'] = $q->get()->result();
		 $q = $this->db->select('COUNT(*) as count', FALSE)
			->from('club');
		 
		 $tmp = $q->get()->result();
		 
		 $ret['num_rows'] = $tmp[0]->count;
		 
		return $ret;
		
	}
	
	public function view_team($search, $limit, $offset, $sort_by, $sort_order) {

		
		$sort_order = ($sort_order == 'desc') ? 'desc' : 'asc';
		$sort_columns = array('regno','name');
		$sort_by = (in_array($sort_by, $sort_columns)) ? $sort_by : 'regno';
		
		// result query
		
		$q = $this->db->select()
			 ->from('team')
			 //->where('type_code',4)
			 ->where('is_delete',0)
			  ->group_start()
			 ->like(array('team.name'=>$search))
			 //->or_like(array('users.last_name'=>$search))
			 ->group_end()
			 ->limit($limit, $offset)
			 ->group_by('team.tid')
			 ->order_by($sort_by, $sort_order);
		 $ret['rows'] = $q->get()->result();
		 $q = $this->db->select('COUNT(*) as count', FALSE)
			->from('team');
		 
		 $tmp = $q->get()->result();
		 
		 $ret['num_rows'] = $tmp[0]->count;
		 
		return $ret;
		
	}
	
	public function view_member($search, $limit, $offset, $sort_by, $sort_order) {

		
		$sort_order = ($sort_order == 'desc') ? 'desc' : 'asc';
		$sort_columns = array('fname','lname');
		$sort_by = (in_array($sort_by, $sort_columns)) ? $sort_by : 'fname';
		
		// result query
		
		$q = $this->db->select()
			 ->from('member')
			 //->where('type_code',3)
			 ->where('is_delete',0)
			  ->group_start()
			 ->like(array('member.fname'=>$search))
			 ->or_like(array('member.lname'=>$search))
			 ->group_end()
			 ->limit($limit, $offset)
			 ->group_by('member.mid')
			 ->order_by($sort_by, $sort_order);
		 $ret['rows'] = $q->get()->result();
		 $q = $this->db->select('COUNT(*) as count', FALSE)
			->from('member');
		 
		 $tmp = $q->get()->result();
		 
		 $ret['num_rows'] = $tmp[0]->count;
		 
		return $ret;
		
	}
	
	public function view_committee($search, $limit, $offset, $sort_by, $sort_order) {

		
		$sort_order = ($sort_order == 'desc') ? 'desc' : 'asc';
		$sort_columns = array('c_name');
		$sort_by = (in_array($sort_by, $sort_columns)) ? $sort_by : 'fname';
		
		// result query
		
		$q = $this->db->select()
			 ->from('committee')
			 //->where('type_code',3)
			 ->where('is_delete',0)
			  ->group_start()
			 ->like(array('committee.c_name'=>$search))
			 ->group_end()
			 ->limit($limit, $offset)
			 ->group_by('committee.id')
			 ->order_by($sort_by, $sort_order);
		 $ret['rows'] = $q->get()->result();
		 $q = $this->db->select('COUNT(*) as count', FALSE)
			->from('committee');
		 
		 $tmp = $q->get()->result();
		 
		 $ret['num_rows'] = $tmp[0]->count;
		 
		return $ret;
		
	}
	
	public function view_player($search, $limit, $offset, $sort_by, $sort_order) {

		
		$sort_order = ($sort_order == 'desc') ? 'desc' : 'asc';
		$sort_columns = array('fname','lname');
		$sort_by = (in_array($sort_by, $sort_columns)) ? $sort_by : 'fname';
		
		// result query
		
		$q = $this->db->select('player.*,team.name as tname')
			 ->from('player')
			 //->where('type_code',5)
			 ->join('team','team.tid=player.team')
			 ->where('player.is_delete',0)
			  ->group_start()
			 ->like(array('player.fname'=>$search))
			 ->or_like(array('player.lname'=>$search))
			 ->group_end()
			 ->limit($limit, $offset)
			 ->group_by('player.pid')
			 ->order_by($sort_by, $sort_order);
		 $ret['rows'] = $q->get()->result();
		 $q = $this->db->select('COUNT(*) as count', FALSE)
			->from('player');
		 
		 $tmp = $q->get()->result();
		 
		 $ret['num_rows'] = $tmp[0]->count;
		 
		return $ret;
		
	}
	
	public function view_player_update_request($search, $limit, $offset, $sort_by, $sort_order) {

		
		$sort_order = ($sort_order == 'desc') ? 'desc' : 'asc';
		$sort_columns = array('fname','lname');
		$sort_by = (in_array($sort_by, $sort_columns)) ? $sort_by : 'fname';
		
		// result query
		
		$q = $this->db->select('player_update.*,player.regno,player.fname,player.lname,player.mobile,player.email,team.name as tname')
			 ->from('player_update')
			 ->join('player','player.pid=player_update.pid')
			 ->join('team','team.tid=player.team')
			 ->where('player_update.status',0)
			  ->group_start()
			 ->like(array('player.fname'=>$search))
			 ->or_like(array('player.lname'=>$search))
			 ->group_end()
			 ->limit($limit, $offset)
			 ->order_by($sort_by, $sort_order);
		 $ret['rows'] = $q->get()->result();
		 $q = $this->db->select('COUNT(*) as count', FALSE)
			->from('player_update');
		 
		 $tmp = $q->get()->result();
		 
		 $ret['num_rows'] = $tmp[0]->count;
		 
		return $ret;
		
	}
	
	public function view_team_player($search, $limit, $offset, $sort_by, $sort_order) {

		
		$sort_order = ($sort_order == 'desc') ? 'desc' : 'asc';
		$sort_columns = array('fname','lname');
		$sort_by = (in_array($sort_by, $sort_columns)) ? $sort_by : 'fname';
		
		// result query
		
		$q = $this->db->select('player.*,team.name as tname')
			 ->from('player')
			 //->where('type_code',5)
			 ->join('team','team.tid=player.team')
			 ->join('users','users.id=team.user_id')
			 ->where('team.user_id',$_SESSION['user_id'])
			 ->where('player.is_delete',0)
			  ->group_start()
			 ->like(array('player.fname'=>$search))
			 ->or_like(array('player.lname'=>$search))
			 ->group_end()
			 ->limit($limit, $offset)
			 ->group_by('player.pid')
			 ->order_by($sort_by, $sort_order);
		 $ret['rows'] = $q->get()->result();
		 $q = $this->db->select('COUNT(*) as count', FALSE)
			->from('player');
		 
		 $tmp = $q->get()->result();
		 
		 $ret['num_rows'] = $tmp[0]->count;
		 
		return $ret;
		
	}
	
	public function view_coach($search, $limit, $offset, $sort_by, $sort_order) {

		
		$sort_order = ($sort_order == 'desc') ? 'desc' : 'asc';
		$sort_columns = array('fname','lname');
		$sort_by = (in_array($sort_by, $sort_columns)) ? $sort_by : 'fname';
		
		// result query
		
		$q = $this->db->select()
			 ->from('coach')
			 //->where('type_code',5)
			 ->where('is_delete',0)
			  ->group_start()
			 ->like(array('coach.fname'=>$search))
			 ->or_like(array('coach.lname'=>$search))
			 ->group_end()
			 ->limit($limit, $offset)
			 ->group_by('coach.coid')
			 ->order_by($sort_by, $sort_order);
		 $ret['rows'] = $q->get()->result();
		 $q = $this->db->select('COUNT(*) as count', FALSE)
			->from('coach');
		 
		 $tmp = $q->get()->result();
		 
		 $ret['num_rows'] = $tmp[0]->count;
		 
		return $ret;
		
	}
	
	public function select_sms_club($search, $limit, $offset, $sort_by, $sort_order) {

		$array = array();
		
		$sort_order = ($sort_order == 'desc') ? 'desc' : 'asc';
		$sort_columns = array('name');
		$sort_by = (in_array($sort_by, $sort_columns)) ? $sort_by : 'name';
		
		// result query
		
		$q = $this->db->select('club.cid,club.user_id,club.name,club.city,club.state,club.email,club.mobile')
			 ->from('club')
			 ->like(array('club.name'=>$search))
			 ->limit($limit, $offset)
			 ->group_by('club.cid')
			 ->order_by($sort_by, $sort_order);
		 $ret['rows'] = $q->get()->result();

		 //count query
		 $q = $this->db->select('COUNT(*) as count', FALSE)
			->from('club');
		 
		 $tmp = $q->get()->result();
		 
		 $ret['num_rows'] = $tmp[0]->count;
		 
		return $ret;
		
	}

	public function select_sms_team($search, $limit, $offset, $sort_by, $sort_order) {

		$array = array();
		
		$sort_order = ($sort_order == 'desc') ? 'desc' : 'asc';
		$sort_columns = array('name');
		$sort_by = (in_array($sort_by, $sort_columns)) ? $sort_by : 'name';
		
		// result query
		
		$q = $this->db->select('team.tid,team.user_id,team.name,team.city,team.state,team.email,team.mobile')
			 ->from('team')
			 ->like(array('team.name'=>$search))
			 ->limit($limit, $offset)
			 ->group_by('team.tid')
			 ->order_by($sort_by, $sort_order);
		 $ret['rows'] = $q->get()->result();

		 //count query
		 $q = $this->db->select('COUNT(*) as count', FALSE)
			->from('team');
		 
		 $tmp = $q->get()->result();
		 
		 $ret['num_rows'] = $tmp[0]->count;
		 
		return $ret;
		
	}

	public function select_sms_player($search, $limit, $offset, $sort_by, $sort_order) {

		$array = array();
		
		$sort_order = ($sort_order == 'desc') ? 'desc' : 'asc';
		$sort_columns = array('fname');
		$sort_by = (in_array($sort_by, $sort_columns)) ? $sort_by : 'fname';
		
		// result query
		
		$q = $this->db->select('player.pid,player.user_id,player.fname,player.mname,player.lname,player.city,player.state,player.email,player.mobile')
			 ->from('player')
			 ->like(array('player.fname'=>$search))
			 ->limit($limit, $offset)
			 ->group_by('player.pid')
			 ->order_by($sort_by, $sort_order);
		 $ret['rows'] = $q->get()->result();

		 //count query
		 $q = $this->db->select('COUNT(*) as count', FALSE)
			->from('player');
		 
		 $tmp = $q->get()->result();
		 
		 $ret['num_rows'] = $tmp[0]->count;
		 
		return $ret;
		
	}

	public function select_sms_member($search, $limit, $offset, $sort_by, $sort_order) {

		$array = array();
		
		$sort_order = ($sort_order == 'desc') ? 'desc' : 'asc';
		$sort_columns = array('fname');
		$sort_by = (in_array($sort_by, $sort_columns)) ? $sort_by : 'fname';
		
		// result query
		
		$q = $this->db->select('member.mid,member.user_id,member.fname,member.mname,member.lname,member.city,member.state,member.email,member.mobile')
			 ->from('member')
			 ->like(array('member.fname'=>$search))
			 ->limit($limit, $offset)
			 ->group_by('member.mid')
			 ->order_by($sort_by, $sort_order);
		 $ret['rows'] = $q->get()->result();

		 //count query
		 $q = $this->db->select('COUNT(*) as count', FALSE)
			->from('member');
		 
		 $tmp = $q->get()->result();
		 
		 $ret['num_rows'] = $tmp[0]->count;
		 
		return $ret;
		
	}

	public function get_auth_key($client_id) {
		
		$this->db->select('authkey');
		$this->db->from('client');
		$this->db->where('client_id', $client_id);
		return $this->db->get()->row('authkey');
		
	}
	public function get_sender_id($client_id) {
		
		$this->db->select('sender_id');
		$this->db->from('client');
		$this->db->where('client_id', $client_id);
		return $this->db->get()->row('sender_id');
		
	}
	public function get_mobile_from_user_id($userid) {
		$this->db->select('mobile');
		$this->db->from('users');
		$this->db->where('id', $userid);
		return $this->db->get()->row('mobile');
		
	}
	
	public function GetClubRow($keyword) {        
        $this->db->order_by('cid', 'DESC');
        $this->db->like("name", $keyword);
        return $this->db->get('club')->result_array();
    }
	public function GetMemberRow($keyword) {        
        $this->db->order_by('mid', 'DESC');
        $this->db->like("fname", $keyword);
        $this->db->or_like("mname", $keyword);
        $this->db->or_like("lname", $keyword);
        return $this->db->get('member')->result_array();
    }
	public function GetPlayerRow($keyword) {        
        $this->db->order_by('pid', 'DESC');
        $this->db->where('team', 0);
        $this->db->like("fname", $keyword);
        $this->db->or_like("mname", $keyword);
        $this->db->or_like("lname", $keyword);
        $this->db->or_like("regno", $keyword);
        return $this->db->get('player')->result_array();
    }
}